/*
 *    Brutus header file for global defines
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef _DEFINES_H_
#define _DEFINES_H_

#define BRUTUS_LOG          "brutus.log"                 // Brutus log file
#define BRUTUS_CONF         "brutus.conf"                // configuration file
#define BRUTUS_SERVERS      "brutus.servers"             // cluster configuration file
#define SERVER_ORB_STACK    "ORB_OPTION_SERVER"          // options for the intercepted ORB
#define INTERNAL_ORB_STACK  "ORB_OPTION_INTERNAL"        // options for the non-intercepted ORB
#define PROXY_EXE           "proxy.exe"                  // name of proxy process executable
#define PROXY_MANAGER_FILE  "proxy_manager.ior"          // name of ProxyMgr IOR file
#define PROXY_MANAGER_IOR   "file://"PROXY_MANAGER_FILE  // ProxyMgr IOR
#define BRUTUS_LOGON_FILE   "brutus_logon.ior"           // name of BrutusLogon IOR file
#define BRUTUS_LOGON_IOR    "file://"BRUTUS_LOGON_FILE   // BrutusLogon IOR
#define BRUTUS_SESSION_FILE "brutus_session.ior"         // name of BrutusSession IOR file
#define BRUTUS_SESSION_IOR  "file://"BRUTUS_SESSION_FILE // BrutusSession IOR
#define LOG_SERVER_FILE     "log_server.ior"             // name of LogServer IOR file
#define LOG_SERVER_IOR      "file://"LOG_SERVER_FILE     // LogServer IOR

// Causes MAPI to store profiles in temporary .mmp files on disk, instead of in the registry
#define MAPI_TEMPORARY_PROFILES 0x00000004


#endif // _DEFINES_H_

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
