/*
 *    Brutus header file for declaring EDK return values.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef _EDKCODE_H_
#define _EDKCODE_H_

#define EDK_HRESULT ((((unsigned long)1)<<31) | (((unsigned long)11)<<16))

#define EC_EDK_E_NOT_FOUND        1
#define EDK_E_NOT_FOUND           ((unsigned long)EDK_HRESULT | (unsigned long)EC_EDK_E_NOT_FOUND)

#define EC_EDK_E_SHUTDOWN_SERVICE 2
#define EDK_E_SHUTDOWN_SERVICE    ((unsigned long)EDK_HRESULT | (unsigned long)EC_EDK_E_SHUTDOWN_SERVICE)

#define EC_EDK_E_ALREADY_EXISTS   3
#define EDK_E_ALREADY_EXISTS      ((unsigned long)EDK_HRESULT | (unsigned long)EC_EDK_E_ALREADY_EXISTS)

#define EC_EDK_E_END_OF_FILE      4
#define EDK_E_END_OF_FILE         ((unsigned long)EDK_HRESULT | (unsigned long)EC_EDK_E_END_OF_FILE)

#define EC_EDK_E_AMBIGUOUS        5
#define EDK_E_AMBIGUOUS           ((unsigned long)EDK_HRESULT | (unsigned long)EC_EDK_E_AMBIGUOUS)

#define EC_EDK_E_PARSE            6
#define EDK_E_PARSE               ((unsigned long)EDK_HRESULT | (unsigned long)EC_EDK_E_PARSE)

#define EC_EDK_E_FAIL         11
#define EC_EDK_E_OUTOFMEMORY  12
#define EC_EDK_E_INVALIDARG   13
#define EC_EDK_E_NOTIMPL      14
#define EC_EDK_E_NOINTERFACE  15
#define EC_EDK_E_ACCESSDENIED 16
#define EC_EDK_E_UNKNOWN      20

#endif // _EDKCODE_H_

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
