/*
 *    Brutus header file for macro definitions.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef _MACROS_H_
#define _MACROS_H_

#include <NT_Service/logging.h>
#include <idl/definesC.h>
#include <idl/log_serverC.h>

#include <mapidefs.h>
#include <NT_Service/edkinc/edkmdb.h>
#include <NT_Service/edkcode.h>
#include <mapicode.h>


/***************************************************/

/*
 * (de-)activates the LOG macros
 */
#if defined(DO_BRUTUS_LOG_BUG)
#undef DO_BRUTUS_LOG_BUG
#endif
#define DO_BRUTUS_LOG_BUG

#if defined(DO_BRUTUS_LOG_CRITICAL)
#undef DO_BRUTUS_LOG_CRITICAL
#endif
#define DO_BRUTUS_LOG_CRITICAL

#if defined(DO_BRUTUS_LOG_ERR)
#undef DO_BRUTUS_LOG_ERR
#endif
#define DO_BRUTUS_LOG_ERR

#if defined(DO_BRUTUS_LOG_INF)
#undef DO_BRUTUS_LOG_INF
#endif
#define DO_BRUTUS_LOG_INF

#if defined(DO_BRUTUS_LOG_PRIVATE)
#undef DO_BRUTUS_LOG_PRIVATE
#endif
#define DO_BRUTUS_LOG_PRIVATE

#if defined(DO_BRUTUS_LOG_EXIT)
#undef DO_BRUTUS_LOG_EXIT
#endif
#define DO_BRUTUS_LOG_EXIT

#if defined(DO_BRUTUS_SYSLOG_GETLASTERROR)
#undef DO_BRUTUS_SYSLOG_GETLASTERROR
#endif
#define DO_BRUTUS_SYSLOG_GETLASTERROR

#if defined(DO_BRUTUS_LOG_GETLASTERROR)
#undef DO_BRUTUS_LOG_GETLASTERROR
#endif
#define DO_BRUTUS_LOG_GETLASTERROR

#if defined(DO_BRUTUS_LOG_HR)
#undef DO_BRUTUS_LOG_HR
#endif
#define DO_BRUTUS_LOG_HR

/*
 * Do we do any logging at all ?
 */
#if defined(DO_BRUTUS_LOG)
#undef DO_BRUTUS_LOG
#endif

#if defined(DO_BRUTUS_LOG_BUG)
#define DO_BRUTUS_LOG
#elif defined(DO_BRUTUS_LOG_CRITICAL)
#define DO_BRUTUS_LOG
#elif defined(DO_BRUTUS_LOG_ERR)
#define DO_BRUTUS_LOG
#elif defined(DO_BRUTUS_LOG_INF)
#define DO_BRUTUS_LOG
#elif defined(DO_BRUTUS_LOG_PRIVATE)
#define DO_BRUTUS_LOG
#elif defined(DO_BRUTUS_LOG_EXIT)
#define DO_BRUTUS_LOG
#elif defined(DO_BRUTUS_SYSLOG_GETLASTERROR)
#define DO_BRUTUS_LOG
#elif defined(DO_BRUTUS_LOG_GETLASTERROR)
#define DO_BRUTUS_LOG
#elif defined(DO_BRUTUS_LOG_HR)
#define DO_BRUTUS_LOG
#else
#undef DO_BRUTUS_LOG
#endif


#if defined(DO_BRUTUS_LOG)
static const char* hresult_to_str(const HRESULT HValue)
{
        switch (HValue) {
        case S_OK :
		return "S_OK";
        case MAPI_E_CALL_FAILED :
		return "MAPI_E_CALL_FAILED";
        case MAPI_E_NOT_ENOUGH_MEMORY :
		return "MAPI_E_NOT_ENOUGH_MEMORY";
        case MAPI_E_INVALID_PARAMETER :
		return "MAPI_E_INVALID_PARAMETER";
        case MAPI_E_INTERFACE_NOT_SUPPORTED :
		return "MAPI_E_INTERFACE_NOT_SUPPORTED";
        case MAPI_E_NO_ACCESS :
		return "MAPI_E_NO_ACCESS";
        case MAPI_E_NO_SUPPORT :
		return "MAPI_E_NO_SUPPORT";
        case MAPI_E_BAD_CHARWIDTH :
		return "MAPI_E_BAD_CHARWIDTH";
        case MAPI_E_STRING_TOO_LONG :
		return "MAPI_E_STRING_TOO_LONG";
        case MAPI_E_UNKNOWN_FLAGS :
		return "MAPI_E_UNKNOWN_FLAGS";
        case MAPI_E_INVALID_ENTRYID :
		return "MAPI_E_INVALID_ENTRYID";
        case MAPI_E_INVALID_OBJECT :
		return "MAPI_E_INVALID_OBJECT";
        case MAPI_E_OBJECT_CHANGED :
		return "MAPI_E_OBJECT_CHANGED";
        case MAPI_E_OBJECT_DELETED :
		return "MAPI_E_OBJECT_DELETED";
        case MAPI_E_BUSY :
		return "MAPI_E_BUSY";
        case MAPI_E_NOT_ENOUGH_DISK :
		return "MAPI_E_NOT_ENOUGH_DISK";
        case MAPI_E_NOT_ENOUGH_RESOURCES :
		return "MAPI_E_NOT_ENOUGH_RESOURCES";
        case MAPI_E_NOT_FOUND :
		return "MAPI_E_NOT_FOUND";
        case MAPI_E_VERSION :
		return "MAPI_E_VERSION";
        case MAPI_E_LOGON_FAILED :
		return "MAPI_E_LOGON_FAILED";
        case MAPI_E_SESSION_LIMIT :
		return "MAPI_E_SESSION_LIMIT";
        case MAPI_E_USER_CANCEL :
		return "MAPI_E_USER_CANCEL";
        case MAPI_E_UNABLE_TO_ABORT :
		return "MAPI_E_UNABLE_TO_ABORT";
        case MAPI_E_NETWORK_ERROR :
		return "MAPI_E_NETWORK_ERROR";
        case MAPI_E_DISK_ERROR :
		return "MAPI_E_DISK_ERROR";
        case MAPI_E_TOO_COMPLEX :
		return "MAPI_E_TOO_COMPLEX";
        case MAPI_E_BAD_COLUMN :
		return "MAPI_E_BAD_COLUMN";
        case MAPI_E_EXTENDED_ERROR :
		return "MAPI_E_EXTENDED_ERROR";
        case MAPI_E_COMPUTED :
		return "MAPI_E_COMPUTED";
        case MAPI_E_CORRUPT_DATA :
		return "MAPI_E_CORRUPT_DATA";
        case MAPI_E_UNCONFIGURED :
		return "MAPI_E_UNCONFIGURED";
        case MAPI_E_FAILONEPROVIDER :
		return "MAPI_E_FAILONEPROVIDER";
        case MAPI_E_UNKNOWN_CPID :
		return "MAPI_E_UNKNOWN_CPID";
        case MAPI_E_UNKNOWN_LCID :
		return "MAPI_E_UNKNOWN_LCID";
        case MAPI_E_PASSWORD_CHANGE_REQUIRED :
		return "MAPI_E_PASSWORD_CHANGE_REQUIRED";
        case MAPI_E_PASSWORD_EXPIRED :
		return "MAPI_E_PASSWORD_EXPIRED";
        case MAPI_E_INVALID_WORKSTATION_ACCOUNT :
		return "MAPI_E_INVALID_WORKSTATION_ACCOUNT";
        case MAPI_E_INVALID_ACCESS_TIME :
		return "MAPI_E_INVALID_ACCESS_TIME";
        case MAPI_E_ACCOUNT_DISABLED :
		return "MAPI_E_ACCOUNT_DISABLED";
        case MAPI_E_END_OF_SESSION :
		return "MAPI_E_END_OF_SESSION";
        case MAPI_E_UNKNOWN_ENTRYID :
		return "MAPI_E_UNKNOWN_ENTRYID";
        case MAPI_E_MISSING_REQUIRED_COLUMN :
		return "MAPI_E_MISSING_REQUIRED_COLUMN";
        case MAPI_W_NO_SERVICE :
		return "MAPI_W_NO_SERVICE";
        case MAPI_E_BAD_VALUE :
		return "MAPI_E_BAD_VALUE";
        case MAPI_E_INVALID_TYPE :
		return "MAPI_E_INVALID_TYPE";
        case MAPI_E_TYPE_NO_SUPPORT :
		return "MAPI_E_TYPE_NO_SUPPORT";
        case MAPI_E_UNEXPECTED_TYPE :
		return "MAPI_E_UNEXPECTED_TYPE";
        case MAPI_E_TOO_BIG :
		return "MAPI_E_TOO_BIG";
        case MAPI_E_DECLINE_COPY :
		return "MAPI_E_DECLINE_COPY";
        case MAPI_E_UNEXPECTED_ID :
		return "MAPI_E_UNEXPECTED_ID";
        case MAPI_W_ERRORS_RETURNED :
		return "MAPI_W_ERRORS_RETURNED";
        case MAPI_E_UNABLE_TO_COMPLETE :
		return "MAPI_E_UNABLE_TO_COMPLETE";
        case MAPI_E_TIMEOUT :
		return "MAPI_E_TIMEOUT";
        case MAPI_E_TABLE_EMPTY :
		return "MAPI_E_TABLE_EMPTY";
        case MAPI_E_TABLE_TOO_BIG :
		return "MAPI_E_TABLE_TOO_BIG";
        case MAPI_E_INVALID_BOOKMARK :
		return "MAPI_E_INVALID_BOOKMARK";
        case MAPI_W_POSITION_CHANGED :
		return "MAPI_W_POSITION_CHANGED";
        case MAPI_W_APPROX_COUNT :
		return "MAPI_W_APPROX_COUNT";
        case MAPI_E_WAIT :
		return "MAPI_E_WAIT";
        case MAPI_E_CANCEL :
		return "MAPI_E_CANCEL";
        case MAPI_E_NOT_ME :
		return "MAPI_E_NOT_ME";
        case MAPI_W_CANCEL_MESSAGE :
		return "MAPI_W_CANCEL_MESSAGE";
        case MAPI_E_CORRUPT_STORE :
		return "MAPI_E_CORRUPT_STORE";
        case MAPI_E_NOT_IN_QUEUE :
		return "MAPI_E_NOT_IN_QUEUE";
        case MAPI_E_NO_SUPPRESS :
		return "MAPI_E_NO_SUPPRESS";
        case MAPI_E_COLLISION :
		return "MAPI_E_COLLISION";
        case MAPI_E_NOT_INITIALIZED :
		return "MAPI_E_NOT_INITIALIZED";
        case MAPI_E_NON_STANDARD :
		return "MAPI_E_NON_STANDARD";
        case MAPI_E_NO_RECIPIENTS :
		return "MAPI_E_NO_RECIPIENTS";
        case MAPI_E_SUBMITTED :
		return "MAPI_E_SUBMITTED";
        case MAPI_E_HAS_FOLDERS :
		return "MAPI_E_HAS_FOLDERS";
        case MAPI_E_HAS_MESSAGES :
		return "MAPI_E_HAS_MESSAGES";
        case MAPI_E_FOLDER_CYCLE :
		return "MAPI_E_FOLDER_CYCLE";
        case MAPI_W_PARTIAL_COMPLETION :
		return "MAPI_W_PARTIAL_COMPLETION";
        case MAPI_E_AMBIGUOUS_RECIP :
		return "MAPI_E_AMBIGUOUS_RECIP";
        case OLEOBJ_S_CANNOT_DOVERB_NOW :
		return "OLEOBJ_S_CANNOT_DOVERB_NOW";
        case STG_E_INVALIDFUNCTION :
		return "STG_E_INVALIDFUNCTION";
        case STG_E_FILENOTFOUND :
		return "STG_E_FILENOTFOUND";
        case STG_E_PATHNOTFOUND :
		return "STG_E_PATHNOTFOUND";
        case STG_E_TOOMANYOPENFILES :
		return "STG_E_TOOMANYOPENFILES";
        case STG_E_ACCESSDENIED :
		return "STG_E_ACCESSDENIED";
        case STG_E_INVALIDHANDLE :
		return "STG_E_INVALIDHANDLE";
        case STG_E_INSUFFICIENTMEMORY :
		return "STG_E_INSUFFICIENTMEMORY";
        case STG_E_INVALIDPOINTER :
		return "STG_E_INVALIDPOINTER";
        case STG_E_NOMOREFILES :
		return "STG_E_NOMOREFILES";
        case STG_E_DISKISWRITEPROTECTED :
		return "STG_E_DISKISWRITEPROTECTED";
        case STG_E_SEEKERROR :
		return "STG_E_SEEKERROR";
        case STG_E_WRITEFAULT :
		return "STG_E_WRITEFAULT";
        case STG_E_READFAULT :
		return "STG_E_READFAULT";
        case STG_E_SHAREVIOLATION :
		return "STG_E_SHAREVIOLATION";
        case STG_E_LOCKVIOLATION :
		return "STG_E_LOCKVIOLATION";
        case STG_E_FILEALREADYEXISTS :
		return "STG_E_FILEALREADYEXISTS";
        case STG_E_INVALIDPARAMETER :
		return "STG_E_INVALIDPARAMETER";
        case STG_E_MEDIUMFULL :
		return "STG_E_MEDIUMFULL";
        case STG_E_PROPSETMISMATCHED :
		return "STG_E_PROPSETMISMATCHED";
        case STG_E_ABNORMALAPIEXIT :
		return "STG_E_ABNORMALAPIEXIT";
        case STG_E_INVALIDHEADER :
		return "STG_E_INVALIDHEADER";
        case STG_E_INVALIDNAME :
		return "STG_E_INVALIDNAME";
        case STG_E_UNKNOWN :
		return "STG_E_UNKNOWN";
        case STG_E_UNIMPLEMENTEDFUNCTION :
		return "STG_E_UNIMPLEMENTEDFUNCTION";
        case STG_E_INVALIDFLAG :
		return "STG_E_INVALIDFLAG";
        case STG_E_INUSE :
		return "STG_E_INUSE";
        case STG_E_NOTCURRENT :
		return "STG_E_NOTCURRENT";
        case STG_E_REVERTED :
		return "STG_E_REVERTED";
        case STG_E_CANTSAVE :
		return "STG_E_CANTSAVE";
        case STG_E_OLDFORMAT :
		return "STG_E_OLDFORMAT";
        case STG_E_OLDDLL :
		return "STG_E_OLDDLL";
        case STG_E_SHAREREQUIRED :
		return "STG_E_SHAREREQUIRED";
        case STG_E_NOTFILEBASEDSTORAGE :
		return "STG_E_NOTFILEBASEDSTORAGE";
        case STG_E_EXTANTMARSHALLINGS :
		return "STG_E_EXTANTMARSHALLINGS";
        case STG_E_DOCFILECORRUPT :
		return "STG_E_DOCFILECORRUPT";
        case STG_E_BADBASEADDRESS :
		return "STG_E_BADBASEADDRESS";
        case STG_E_INCOMPLETE :
		return "STG_E_INCOMPLETE";
        case STG_E_TERMINATED :
		return "STG_E_TERMINATED";
        case STG_S_CONVERTED :
		return "STG_S_CONVERTED";
        case STG_S_BLOCK :
		return "STG_S_BLOCK";
        case STG_S_RETRYNOW :
		return "STG_S_RETRYNOW";
        case STG_S_MONITORING :
		return "STG_S_MONITORING";
        case STG_S_MULTIPLEOPENS :
		return "STG_S_MULTIPLEOPENS";
        case STG_S_CONSOLIDATIONFAILED :
		return "STG_S_CONSOLIDATIONFAILED";
        case STG_S_CANNOTCONSOLIDATE :
		return "STG_S_CANNOTCONSOLIDATE";
	case E_PENDING :
		return "E_PENDING";
	case SYNC_E_OBJECT_DELETED :
		return "SYNC_E_OBJECT_DELETED";
	case SYNC_E_IGNORE :
		return "SYNC_E_IGNORE";
	case SYNC_E_CONFLICT :
		return "SYNC_E_CONFLICT";
	case SYNC_E_NO_PARENT :
		return "SYNC_E_NO_PARENT";
	case SYNC_E_INCEST :
		return "SYNC_E_INCEST";
	case SYNC_E_UNSYNCHRONIZED :
		return "SYNC_E_UNSYNCHRONIZED";
	case SYNC_W_PROGRESS :
		return "SYNC_W_PROGRESS";
	case SYNC_W_CLIENT_CHANGE_NEWER :
		return "SYNC_W_CLIENT_CHANGE_NEWER";
	case EC_EDK_E_FAIL :
		return "EC_EDK_E_FAIL";
	case EC_EDK_E_OUTOFMEMORY :
		return "EC_EDK_E_OUTOFMEMORY";
	case EC_EDK_E_INVALIDARG :
		return "EC_EDK_E_INVALIDARG";
	case EC_EDK_E_NOTIMPL :
		return "EC_EDK_E_NOTIMPL";
	case EC_EDK_E_NOINTERFACE :
		return "EC_EDK_E_NOINTERFACE";
	case EC_EDK_E_ACCESSDENIED :
		return "EC_EDK_E_ACCESSDENIED";
        case EC_EDK_E_UNKNOWN :
		return "EC_EDK_E_UNKNOWN";
	case EC_EDK_E_NOT_FOUND :
		return "EC_EDK_E_NOT_FOUND";
	case EDK_E_NOT_FOUND :
		return "EDK_E_NOT_FOUND";
	case EC_EDK_E_SHUTDOWN_SERVICE :
		return "EC_EDK_E_SHUTDOWN_SERVICE";
	case EDK_E_SHUTDOWN_SERVICE :
		return "EDK_E_SHUTDOWN_SERVICE";
	case EC_EDK_E_ALREADY_EXISTS :
		return "EC_EDK_E_ALREADY_EXISTS";
	case EDK_E_ALREADY_EXISTS :
		return "EDK_E_ALREADY_EXISTS";
	case EC_EDK_E_END_OF_FILE :
		return "EC_EDK_E_END_OF_FILE";
	case EDK_E_END_OF_FILE :
		return "EDK_E_END_OF_FILE";
	case EC_EDK_E_AMBIGUOUS :
		return "EC_EDK_E_AMBIGUOUS";
	case EDK_E_AMBIGUOUS :
		return "EDK_E_AMBIGUOUS";
	case EC_EDK_E_PARSE :
		return "EC_EDK_E_PARSE";
	case EDK_E_PARSE :
		return "EDK_E_PARSE";
        default:
		break;
	}
	
	return "Unknown HRESULT from MAPI";
}
#endif // DO_BRUTUS_LOG


/***************************************************/

/*
 * Will generate a header entry in the log.
 */

#if defined(BRUTUS_LOG_REF)
#undef BRUTUS_LOG_REF
#endif

#if defined(DO_BRUTUS_LOG)
#define BRUTUS_LOG_REF \
        unsigned long LOG_REF =                                                              \
                Log_Singleton::instance()->add_leading_entry(BRUTUS::LogServer::log_header,  \
                                                             __FILE__,                       \
                                                             __LINE__,                       \
                                                             "Log entry header")
#else
#define BRUTUS_LOG_REF do { } while (0)
#endif /* DO_BRUTUS_LOG_BUG */


/***************************************************/

/*
 * Must be used when encountering a clear bug in 
 * client or server code i.e. at the developer level.
 * Examples are when an application are using an 
 * unknown constant, illegal function parameters or 
 * when an unknown (e.g unmapped) value is returned 
 * from MAPI.
 */

#if defined(BRUTUS_LOG_BUG)
#undef BRUTUS_LOG_BUG
#endif

#if defined(BRUTUS_LOG_SUB_BUG)
#undef BRUTUS_LOG_SUB_BUG
#endif

#if defined(DO_BRUTUS_LOG_BUG)
#define BRUTUS_LOG_BUG(__macro_msg) do {                                 \
        Log_Singleton::instance()->add_entry(BRUTUS::LogServer::log_bug, \
                                             __FILE__,                   \
                                             __LINE__,                   \
                                             __macro_msg);               \
        } while(0)

#define BRUTUS_LOG_SUB_BUG(__macro_msg) do {                                 \
        Log_Singleton::instance()->add_sub_entry(BRUTUS::LogServer::log_bug, \
                                                 __FILE__,                   \
                                                 __LINE__,                   \
                                                 __macro_msg,                \
                                                 LOG_REF);                   \
        } while(0)
#else
#define BRUTUS_LOG_BUG(__macro_msg) do { } while (0)
#define BRUTUS_LOG_SUB_BUG(__macro_msg) do { } while (0)
#endif /* DO_BRUTUS_LOG_BUG */


/***************************************************/

/*
 * Must be used when encountering an exception, or a
 * similar condition, in server code. Used for 
 * unrecoverable errors.
 */

#if defined(BRUTUS_LOG_CRITICAL)
#undef BRUTUS_LOG_CRITICAL
#endif

#if defined(BRUTUS_LOG_SUB_CRITICAL)
#undef BRUTUS_LOG_SUB_CRITICAL
#endif


#if defined(DO_BRUTUS_LOG_CRITICAL)
#define BRUTUS_LOG_CRITICAL(__macro_msg) do {                                 \
        Log_Singleton::instance()->add_entry(BRUTUS::LogServer::log_critical, \
                                             __FILE__,                        \
                                             __LINE__,                        \
                                             __macro_msg);                    \
        } while(0)

#define BRUTUS_LOG_SUB_CRITICAL(__macro_msg) do {                                 \
        Log_Singleton::instance()->add_sub_entry(BRUTUS::LogServer::log_critical, \
                                                 __FILE__,                        \
                                                 __LINE__,                        \
                                                 __macro_msg,                     \
                                                 LOG_REF);                        \
        } while(0)
#else
#define BRUTUS_LOG_CRITICAL(__macro_msg) do { } while (0)
#define BRUTUS_LOG_SUB_CRITICAL(__macro_msg) do { } while (0)
#endif /* DO_BRUTUS_LOG_CRITICAL */


/***************************************************/

/*
 * Must be used when encountering an error, such as 
 * memory allocation failures or similar conditions, 
 * in server or client code. Bugs in the low-level MAPI
 * libraries are reported with this macro as well. 
 * Mostly used for recoverable errors.
 */

#if defined(BRUTUS_LOG_ERR)
#undef BRUTUS_LOG_ERR
#endif

#if defined(BRUTUS_LOG_SUB_ERR)
#undef BRUTUS_LOG_SUB_ERR
#endif


#if defined(DO_BRUTUS_LOG_ERR)
#define BRUTUS_LOG_ERR(__macro_msg) do {                                 \
        Log_Singleton::instance()->add_entry(BRUTUS::LogServer::log_err, \
                                             __FILE__,                   \
                                             __LINE__,                   \
                                             __macro_msg);               \
        } while(0)

#define BRUTUS_LOG_SUB_ERR(__macro_msg) do {                                 \
        Log_Singleton::instance()->add_sub_entry(BRUTUS::LogServer::log_err, \
                                                 __FILE__,                   \
                                                 __LINE__,                   \
                                                 __macro_msg,                \
                                                 LOG_REF);                   \
        } while(0)
#else
#define BRUTUS_LOG_ERR(__macro_msg) do { } while (0)
#define BRUTUS_LOG_SUB_ERR(__macro_msg) do { } while (0)
#endif /* DO_BRUTUS_LOG_ERR */

/***************************************************/

/*
 * Must be used to notify entrance and exit for all 
 * functions in server code. Is intended to be used
 * to log all non-critical information as well.
 */

#if defined(BRUTUS_LOG_INF)
#undef BRUTUS_LOG_INF
#endif

#if defined(BRUTUS_LOG_SUB_INF)
#undef BRUTUS_LOG_SUB_INF
#endif


#if defined(DO_BRUTUS_LOG_INF)
#define BRUTUS_LOG_INF(__macro_msg) do {                                 \
        Log_Singleton::instance()->add_entry(BRUTUS::LogServer::log_inf, \
                                             __FILE__,                   \
                                             __LINE__,                   \
                                             __macro_msg);               \
        } while(0)

#define BRUTUS_LOG_SUB_INF(__macro_msg) do {                                 \
        Log_Singleton::instance()->add_sub_entry(BRUTUS::LogServer::log_inf, \
                                                 __FILE__,                   \
                                                 __LINE__,                   \
                                                 __macro_msg,                \
                                                 LOG_REF);                   \
        } while(0)
#else
#define BRUTUS_LOG_INF(__macro_msg) do { } while (0)
#define BRUTUS_LOG_SUB_INF(__macro_msg) do { } while (0)
#endif /* DO_BRUTUS_LOG_INF */

/***************************************************/

/*
 * Must only be used to log privacy related activity
 * of users, such as logon/logoff.
 */

#if defined(BRUTUS_LOG_PRIVATE)
#undef BRUTUS_LOG_PRIVATE
#endif

#if defined(BRUTUS_LOG_SUB_PRIVATE)
#undef BRUTUS_LOG_SUB_PRIVATE
#endif


#if defined(DO_BRUTUS_LOG_PRIVATE)
#define BRUTUS_LOG_PRIVATE(__macro_msg) do {                                 \
        Log_Singleton::instance()->add_entry(BRUTUS::LogServer::log_private, \
                                             __FILE__,                       \
                                             __LINE__,                       \
                                             __macro_msg);                   \
        } while(0)

#define BRUTUS_LOG_SUB_PRIVATE(__macro_msg) do {                                 \
        Log_Singleton::instance()->add_sub_entry(BRUTUS::LogServer::log_private, \
                                                 __FILE__,                       \
                                                 __LINE__,                       \
                                                 __macro_msg,                    \
                                                 LOG_REF);                       \
        } while (0)
#else
#define BRUTUS_LOG_PRIVATE(__macro_msg) do { } while (0)
#define BRUTUS_LOG_SUB_PRIVATE(__macro_msg) do { } while (0)
#endif /* DO_BRUTUS_LOG_PRIVATE */

/***************************************************/

/*
 * Macros to wrap "goto exit;" calls into usefull debugging output
 */
#if defined(BRUTUS_SUB_EXIT)
#undef BRUTUS_SUB_EXIT
#endif

#if defined(BRUTUS_EXIT)
#undef BRUTUS_EXIT
#endif


#if defined(DO_BRUTUS_LOG_EXIT)
#define BRUTUS_EXIT do {                                                 \
        char __msg[128] = { 0 };                                         \
        sprintf(__msg, "EXIT, HRESULT = %#.8lx (", hr);                  \
        strcat(__msg, hresult_to_str(hr));                               \
        strcat(__msg, ")");                                              \
        Log_Singleton::instance()->add_entry(BRUTUS::LogServer::log_inf, \
                                             __FILE__,                   \
                                             __LINE__,                   \
                                             __msg);                     \
        goto exit;                                                       \
        } while(0)

#define BRUTUS_SUB_EXIT do {                                                 \
        char __msg[128] = { 0 };                                             \
        sprintf(__msg, "EXIT, HRESULT = %#.8lx (", hr);                      \
        strcat(__msg, hresult_to_str(hr));                                   \
        strcat(__msg, ")");                                                  \
        Log_Singleton::instance()->add_sub_entry(BRUTUS::LogServer::log_inf, \
                                                 __FILE__,                   \
                                                 __LINE__,                   \
                                                 __msg,                      \
                                                 LOG_REF);                   \
        goto exit;                                                           \
        } while(0)
#else
#define BRUTUS_EXIT do { goto exit; } while (0)
#define BRUTUS_SUB_EXIT do { goto exit; } while (0)
#endif /* DO_BRUTUS_LOG_EXIT */

/***************************************************/

/*
 * Macros to wrap GetLastError() into usefull debugging output
 */
#if defined(BRUTUS_SYSLOG_GETLASTERROR)
#undef BRUTUS_SYSLOG_GETLASTERROR
#endif

#if defined(DO_BRUTUS_SYSLOG_GETLASTERROR)
#define BRUTUS_SYSLOG_GETLASTERROR(__macro_msg) do {                               \
	ACE_LOG_MSG->open("Brutus Server", ACE_Log_Msg::SYSLOG);                   \
        DWORD __err = GetLastError();                                              \
        char __msg[1024] = { '\0' };                                               \
        LPVOID __msg_buf = NULL;                                                   \
        FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM, \
                      NULL,                                                        \
                      __err,                                                       \
                      MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),                   \
                      (LPTSTR) &__msg_buf,                                         \
                      0,                                                           \
                      NULL );                                                      \
        ((char*)__msg_buf)[strlen((char*)__msg_buf) - 2] = '\0';                   \
        sprintf(__msg, "%s@%d: %s - GetLastError() returned: %#.8lx (%s)", __FILE__, __LINE__, __macro_msg, __err, __msg_buf); \
        LocalFree(__msg_buf);                                                                                                  \
        ACE_DEBUG((LM_ALERT, ACE_TEXT(__msg)));                                                                                \
        } while(0)
#else
#define BRUTUS_SYSLOG_GETLASTERROR do { } while (0)
#endif /* DO_BRUTUS_SYSLOG_GETLASTERROR */

#if defined(BRUTUS_LOG_GETLASTERROR)
#undef BRUTUS_LOG_GETLASTERROR
#endif

#if defined(DO_BRUTUS_LOG_GETLASTERROR)
#define BRUTUS_LOG_GETLASTERROR(__macro_msg) do {                                                   \
        DWORD __err = GetLastError();                                                               \
        char __msg[1024] = { '\0' };                                                                \
        LPVOID __msg_buf = NULL;                                                                    \
        FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM,                  \
                      NULL,                                                                         \
                      __err,                                                                        \
                      MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),                                    \
                      (LPTSTR) &__msg_buf,                                                          \
                      0,                                                                            \
                      NULL );                                                                       \
        ((char*)__msg_buf)[strlen((char*)__msg_buf) - 2] = '\0';                                    \
        sprintf(__msg, "%s - GetLastError() returned: %#.8lx (%s)", __macro_msg, __err, __msg_buf); \
        LocalFree(__msg_buf);                                                                       \
        Log_Singleton::instance()->add_entry(BRUTUS::LogServer::log_critical,                       \
                                             __FILE__,                                              \
                                             __LINE__,                                              \
                                             __msg);                                                \
        } while(0)
#else
#define BRUTUS_LOG_GETLASTERROR do { } while (0)
#endif /* DO_BRUTUS_LOG_GETLASTERROR */

/***************************************************/

/*
 * Macros to print the current value of hr
 */
#if defined(BRUTUS_LOG_HR)
#undef BRUTUS_LOG_HR
#endif

#if defined(BRUTUS_LOG_SUB_HR)
#undef BRUTUS_LOG_SUB_HR
#endif

#if defined(DO_BRUTUS_LOG_HR)
#define BRUTUS_LOG_HR do {                                               \
	char __msg[128] = { 0 };                                         \
	sprintf(__msg, "HRESULT = %#.8lx (", hr);                        \
	strcat(__msg, hresult_to_str(hr));                               \
	strcat(__msg, ")");                                              \
        Log_Singleton::instance()->add_entry(BRUTUS::LogServer::log_inf, \
                                             __FILE__,                   \
                                             __LINE__,                   \
                                             __msg);                     \
        } while (0)

#define BRUTUS_LOG_SUB_HR do {                                               \
	char __msg[128] = { 0 };                                             \
	sprintf(__msg, "HRESULT = %#.8lx (", hr);                            \
	strcat(__msg, hresult_to_str(hr));                                   \
	strcat(__msg, ")");                                                  \
        Log_Singleton::instance()->add_sub_entry(BRUTUS::LogServer::log_inf, \
                                             __FILE__,                       \
                                             __LINE__,                       \
                                             __msg,                          \
                                             LOG_REF);                       \
        } while (0)
#else
#define BRUTUS_LOG_HR do { } while (0)
#define BRUTUS_LOG_SUB_HR do { } while (0)
#endif /* DO_BRUTUS_LOG_HR */

/***************************************************/


/*
 * Only here because I do this a lot, so a macro would 
 * ease readability. 
 *
 * Typesafe/64 bits clean.
 */

#if defined(FLAGS_OFF)
#undef FLAGS_OFF
#endif
#define FLAGS_OFF(type, value, flags) do {         \
                type all_bytes_ff = (type)0;       \
                all_bytes_ff = ~all_bytes_ff;      \
                (type)value &= all_bytes_ff^flags; \
        } while (0)

/***************************************************/

/*
 * Only defined due to performance reasons..
 * GUID_A and GUID_B must be of type "GUID*"
 */
#if defined(MAPI_GUIDS_EQUAL)
#undef MAPI_GUIDS_EQUAL
#endif
#define MAPI_GUIDS_EQUAL(GUID_A, GUID_B)                                                                       \
                ((((unsigned long*) GUID_A)[0] == ((unsigned long*) GUID_B)[0])     /* data1 */                \
                 && (((unsigned long*) GUID_A)[1] == ((unsigned long*) GUID_B)[1])  /* data 2 and 3 */         \
                 && (((unsigned long*) GUID_A)[2] == ((unsigned long*) GUID_B)[2])  /* first half of data 4 */ \
                 && (((unsigned long*) GUID_A)[3] == ((unsigned long*) GUID_B)[3])) /* second half of data 4 */

/***************************************************/



#endif // _MACROS_H_

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
