/*
 *    Brutus header file for a managed group class.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef _MANAGED_BRUTUS_GROUP_H_
#define _MANAGED_BRUTUS_GROUP_H_

#include <tao/PortableServer/PortableServer.h>
#include <NT_Service/ServantLib/ServantLib.h>
#include <NT_Service/servant_impl/BrutusLogOnS_impl_external.h>
#include <NT_Service/servant_activator.h>


class SERVANTLIB_API ManagedBrutusGroup {
public:
        ManagedBrutusGroup(const char *PoaName,
                           PortableServer::POA_ptr ServerPoa,
                           PortableServer::POA_ptr SessionParentPoa,
			   PortableServer::ServantManager_ptr Activator,
                           CORBA::ORB_ptr Server_ORB,
                           CORBA::ORB_ptr Internal_ORB);

        ~ManagedBrutusGroup();


        PortableServer::POAManager::State get_factory_state();

        void activate_factory();

        void hold_factory_requests(CORBA::Boolean wait_for_completion);

        void discard_factory_requests(CORBA::Boolean wait_for_completion);

private:
        PortableServer::POA_var poa_;
        PortableServer::POAManager_var poa_manager_;
        PortableServer::ServantManager_var server_activator_;

        BRUTUS_BrutusLogOn_i_external *logon_obj_impl_;
        BRUTUS::BrutusLogOn_var logon_obj_;
        PortableServer::ObjectId_var logon_obj_oid_;
	
	char *group_name;
};


#endif // _MANAGED_BRUTUS_GROUP_H_

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
