/*
 *    Brutus header file for object utility functions.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef _OBJ_UTILS_
#define _OBJ_UTILS_

#include <NT_Service/servant_impl/typesS_impl.h>
#include <NT_service/servant_impl/IStreamS_impl.h>

#define MAPIGUID_H // do not include mapiguid.h
#include <mapix.h>


extern bool create_brutus_object(const char *ObjID, 
                                 LPUNKNOWN Mapi_Object, 
                                 PortableServer::POA_ptr Poa, 
                                 BRUTUS::IUnknown_out Brutus_Object,
                                 LPMAPISESSION Mapi_Session = 0);

extern bool create_brutus_object(const unsigned long ObjType, 
                                 LPUNKNOWN Mapi_Object, 
                                 PortableServer::POA_ptr Poa, 
                                 BRUTUS::IUnknown_out Brutus_Object,
                                 LPMAPISESSION Mapi_Session = 0);

extern bool mapi_guid_is_one_of(const GUID *m_id, 
				const GUID* const id ...);

#endif //  _OBJ_UTILS_

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
