/*
 *    Brutus source file implementing an ORBInitializer.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include <NT_Service/orbinitializer.h>
#include <TAO/tao/ORB_Constants.h>

ORBInitializer::ORBInitializer(bool forward,
                               CORBA::ORB_ptr ORB)
        : forward_(forward),
          orb_(CORBA::ORB::_duplicate(ORB)),
          interceptor_(NULL)
{
}

void ORBInitializer::pre_init(PortableInterceptor::ORBInitInfo_ptr info
                              ACE_ENV_ARG_DECL_NOT_USED)
        ACE_THROW_SPEC((CORBA::SystemException))
{
}

void ORBInitializer::post_init(PortableInterceptor::ORBInitInfo_ptr info
                               ACE_ENV_ARG_DECL)
        ACE_THROW_SPEC((CORBA::SystemException))
{
        ACE_NEW_THROW_EX(this->interceptor_,
                         ServerRequestInterceptor(forward_, orb_._retn()),
                         CORBA::NO_MEMORY(
                                 CORBA::SystemException::_tao_minor_code(
                                         TAO_DEFAULT_MINOR_CODE,
                                         ENOMEM),
                                 CORBA::COMPLETED_NO));
        ACE_CHECK;
        PortableInterceptor::ServerRequestInterceptor_var brutus_interceptor = this->interceptor_;

        info->add_server_request_interceptor(brutus_interceptor.in()
                                             ACE_ENV_ARG_PARAMETER);
        ACE_CHECK;
}

ServerRequestInterceptor *ORBInitializer::interceptor(void) const
{
        return this->interceptor_;
}
