/*
 *    Brutus header file for a servant activator.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef _SERVANT_ACTIVATOR_H_
#define _SERVANT_ACTIVATOR_H_

#include <tao/PortableServer/PortableServer.h>
#include <tao/PortableServer/ServantActivatorC.h>
#include <tao/PortableServer/Servant_Base.h>
#include <NT_Service/ServantLib/ServantLib.h>

class SERVANTLIB_API BrutusActivator_i : public virtual PortableServer::ServantActivator {
public:
        BrutusActivator_i();

        ~BrutusActivator_i();
        
        virtual PortableServer::Servant incarnate(const PortableServer::ObjectId & oid,
                                                  PortableServer::POA_ptr adapter)
                throw (CORBA::SystemException, PortableServer::ForwardRequest);

        virtual void etherealize(const PortableServer::ObjectId & oid,
                                 PortableServer::POA_ptr adapter,
                                 PortableServer::Servant serv,
                                 CORBA::Boolean cleanup_in_progress,
                                 CORBA::Boolean remaining_activations)
                throw (CORBA::SystemException);

private:
        BrutusActivator_i(const BrutusActivator_i & Activator);

        void operator=(const BrutusActivator_i & Activator);

};

#endif // _SERVANT_ACTIVATOR_H_

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
