/*
 *    Brutus source file for the BrutusLogOn servant.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include <NT_Service/servant_impl/BrutusLogOnS_impl_external.h>
#include <NT_Service/macros.h>

void BRUTUS_BrutusLogOn_i_external::GetPublicKey(::BRUTUS::seq_octet_out PubKey
						 ACE_ENV_ARG_DECL)
	ACE_THROW_SPEC((CORBA::SystemException))
{
        BRUTUS_LOG_REF;
        BRUTUS_LOG_SUB_INF("Entering BRUTUS_BrutusLogOn_i_external::GetPublicKey()");

        throw (CORBA::BAD_INV_ORDER());
}

::BRUTUS::BRESULT BRUTUS_BrutusLogOn_i_external::Logon(::BRUTUS::BrutusCheck_ptr Lifeline,
						       const char *MAPIProfileName,
						       const char *MAPIProfilePassword,
						       const char *WindowsUserName,
						       const char *WindowsDomainName,
						       const char *WindowsUserPassword,
						       ::CORBA::ULong MaxNotificationDelay,
						       BRUTUS::BDEFINE Flags,
						       ::CORBA::ULong_out InstanceID,
						       BRUTUS::IMAPISession_out Session
						       ACE_ENV_ARG_DECL)
        ACE_THROW_SPEC((CORBA::SystemException))
{
        BRUTUS_LOG_REF;
        BRUTUS_LOG_SUB_INF("Entering BRUTUS_BrutusLogOn_i_external::Logon()");

        throw (CORBA::BAD_INV_ORDER());
}

::BRUTUS::BRESULT BRUTUS_BrutusLogOn_i_external::SecureLogon(::BRUTUS::BrutusCheck_ptr Lifeline,
							     const ::BRUTUS::seq_octet & MAPIProfileName,
							     const ::BRUTUS::seq_octet & MAPIProfilePassword,
							     const ::BRUTUS::seq_octet & WindowsUserName,
							     const ::BRUTUS::seq_octet & WindowsDomainName,
							     const ::BRUTUS::seq_octet & WindowsUserPassword,
							     ::CORBA::ULong MaxNotificationDelay,
							     ::BRUTUS::BDEFINE Flags,
							     ::CORBA::ULong_out InstanceID,
							     ::BRUTUS::IMAPISession_out Session
							     ACE_ENV_ARG_DECL)
	ACE_THROW_SPEC((CORBA::SystemException))
{
        BRUTUS_LOG_REF;
        BRUTUS_LOG_SUB_INF("Entering BRUTUS_BrutusLogOn_i_external::SecureLogon()");
        BRUTUS_LOG_SUB_BUG("You must call BrutusLogOn::Logon() or BrutusLogOn::GetPublicKey()\t     before calling any other methods on this interface");

        throw (CORBA::BAD_INV_ORDER());
}

::BRUTUS::BRESULT BRUTUS_BrutusLogOn_i_external::CreateProfile(const char *MAPIProfileName,
							       const char *MAPIProfilePassword,
							       const char *Mailbox,
							       const char *ExchangeServer,
							       BRUTUS::BDEFINE Flags
							       ACE_ENV_ARG_DECL)
        ACE_THROW_SPEC((CORBA::SystemException))
{
        BRUTUS_LOG_REF;
        BRUTUS_LOG_SUB_INF("Entering BRUTUS_BrutusLogOn_i_external::CreateProfile()");
        BRUTUS_LOG_SUB_BUG("You must call BrutusLogOn::Logon() or BrutusLogOn::GetPublicKey()\t     before calling any other methods on this interface");

        throw (CORBA::BAD_INV_ORDER());
}

::BRUTUS::BRESULT BRUTUS_BrutusLogOn_i_external::SecureCreateProfile(const ::BRUTUS::seq_octet & MAPIProfileName,
								     const ::BRUTUS::seq_octet & MAPIProfilePassword,
								     const ::BRUTUS::seq_octet & MailBox,
								     const ::BRUTUS::seq_octet & ExchangeServer,
								     ::BRUTUS::BDEFINE Flags
								     ACE_ENV_ARG_DECL) 
	ACE_THROW_SPEC((CORBA::SystemException))
{
        BRUTUS_LOG_REF;
        BRUTUS_LOG_SUB_INF("Entering BRUTUS_BrutusLogOn_i_external::SecureCreateProfile()");
        BRUTUS_LOG_SUB_BUG("You must call BrutusLogOn::Logon() or BrutusLogOn::GetPublicKey()\t     before calling any other methods on this interface");

        throw (CORBA::BAD_INV_ORDER());
}

