/*
 *    Brutus header file for the BrutusLogOn servant.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef __BRUTUSLOGONS_IMPL_EXTERNAL_H_
#define __BRUTUSLOGONS_IMPL_EXTERNAL_H_

#include <idl/BrutusLogOnS.h>

#if !defined (ACE_LACKS_PRAGMA_ONCE)
#pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */


class SERVANTLIB_API BRUTUS_BrutusLogOn_i_external : public virtual POA_BRUTUS::BrutusLogOn,
	public virtual PortableServer::RefCountServantBase 
{
public:
        BRUTUS_BrutusLogOn_i_external(void)
                { };

	virtual void GetPublicKey(::BRUTUS::seq_octet_out PubKey 
				  ACE_ENV_ARG_DECL)
		ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT Logon(::BRUTUS::BrutusCheck_ptr Lifeline,
                                        const char *ProfileName,
                                        const char *ProfilePassword,
                                        const char *UserName,
                                        const char *DomainName,
                                        const char *Password,
                                        ::CORBA::ULong MaxNotificationDelay,
                                        BRUTUS::BDEFINE Flags,
                                        ::CORBA::ULong_out InstanceID,
					BRUTUS::IMAPISession_out Session
                                        ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

	virtual ::BRUTUS::BRESULT SecureLogon(::BRUTUS::BrutusCheck_ptr Lifeline,
                                              const ::BRUTUS::seq_octet & ProfileName,
					      const ::BRUTUS::seq_octet & ProfilePassword,
					      const ::BRUTUS::seq_octet & UserName,
					      const ::BRUTUS::seq_octet & DomainName,
					      const ::BRUTUS::seq_octet & Password,
                                              ::CORBA::ULong MaxNotificationDelay,
					      ::BRUTUS::BDEFINE Flags,
                                              ::CORBA::ULong_out InstanceID,
					      ::BRUTUS::IMAPISession_out Session
					      ACE_ENV_ARG_DECL)
		ACE_THROW_SPEC((CORBA::SystemException));

	virtual ::BRUTUS::BRESULT CreateProfile(const char *ProfileName,
						const char *Password,
						const char *Mailbox,
						const char *Server,
						BRUTUS::BDEFINE Flags
						ACE_ENV_ARG_DECL)
		ACE_THROW_SPEC((CORBA::SystemException));

	virtual ::BRUTUS::BRESULT SecureCreateProfile(const ::BRUTUS::seq_octet & ProfileName,
						      const ::BRUTUS::seq_octet & Password,
						      const ::BRUTUS::seq_octet & MailBox,
						      const ::BRUTUS::seq_octet & Server,
						      ::BRUTUS::BDEFINE Flags
						      ACE_ENV_ARG_DECL)
		ACE_THROW_SPEC((CORBA::SystemException));

private:
        virtual ~BRUTUS_BrutusLogOn_i_external(void)
                { };
};


#endif /* __BRUTUSLOGONS_IMPL_EXTERNAL_H_  */

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
