/*
 *    Brutus header file for the BrutusSession servant.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef _BRUTUSSESSIONS_IMPL_H_
#define _BRUTUSSESSIONS_IMPL_H_

#include <idl/BrutusSessionS.h>
#include <idl/log_serverC.h>
#include <NT_Service/ProxyMgr/proxy_managerC.h>

#if !defined (ACE_LACKS_PRAGMA_ONCE)
#pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

class SERVANTLIB_API BRUTUS_BrutusSession_i : public virtual POA_BRUTUS::BrutusSession,
        public virtual PortableServer::RefCountServantBase 
{
public:
        BRUTUS_BrutusSession_i(BRUTUS::ProxyManager_ptr ProxyManager,
                               CORBA::ORB_ptr InternalORB);
  
        virtual CORBA::ULong getProxyCount(ACE_ENV_SINGLE_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual void log(const ::BRUTUS::LogServer::LogEntry &Entry
                         ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual CORBA::ULong log_leader(const ::BRUTUS::LogServer::LogEntry & Entry
                                        ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual void log_follower(::CORBA::ULong leader,
                                  const ::BRUTUS::LogServer::LogEntry & Entry
                                  ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

private:
        BRUTUS_BrutusSession_i(void)
                { };

        virtual ~BRUTUS_BrutusSession_i(void)
                { };

        BRUTUS::ProxyManager_var proxy_manager_;
        BRUTUS::LogServer_var log_server_;

};


#endif /* _BRUTUSSESSIONS_IMPL_H_  */

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
