/*
 *    Brutus header file for the IAddrBook servant.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef __IADDRBOOKS_IMPL_H_
#define __IADDRBOOKS_IMPL_H_

#include <idl/IAddrBookS.h>

#include <NT_Service/macros.h>
#include <NT_Service/advise_utils.h>

#define MAPIGUID_H // do not include mapiguid.h
#include <mapix.h>

#if !defined (ACE_LACKS_PRAGMA_ONCE)
#pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

//Class BRUTUS_IAddrBook_i
class SERVANTLIB_API BRUTUS_IAddrBook_i : public virtual POA_BRUTUS::IAddrBook,
                                          public virtual PortableServer::RefCountServantBase
{
public:
        BRUTUS_IAddrBook_i(LPADRBOOK AddrBook,
                           LPMAPISESSION MAPISession,
                           PortableServer::POA_ptr Poa);

  
        virtual ::BRUTUS::BRESULT OpenEntry(const BRUTUS::ENTRYID & lpEntryID,
                                            const char * lpInterface,
                                            BRUTUS::BDEFINE ulFlags,
                                            BRUTUS::BDEFINE_out lpulObjType,
                                            BRUTUS::IUnknown_out lppUnk
                                            ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT CompareEntryIDs(const BRUTUS::ENTRYID & lpEntryID1,
                                                  const BRUTUS::ENTRYID & lpEntryID2,
                                                  BRUTUS::BDEFINE ulFlags,
                                                  CORBA::ULong_out lpulResult
                                                  ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT Advise(const BRUTUS::ENTRYID & lpEntryID,
                                         BRUTUS::BDEFINE ulEventMask,
                                         BRUTUS::IMAPIAdviseSink_ptr lpAdviseSink,
                                         CORBA::ULong_out lpulConnection
                                         ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT Unadvise(CORBA::ULong ulConnection
                                           ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT CreateOneOff(const char *lpszName,
                                               const char *lpszAdrType,
                                               const char *lpszAddress,
                                               BRUTUS::BDEFINE ulFlags,
                                               BRUTUS::ENTRYID_out lppEntryID
                                               ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT NewEntry(ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT ResolveName(BRUTUS::BDEFINE ulFlags,
                                              BRUTUS::ADRLIST & lpAdrList
                                              ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT Address(ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT Details(ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT RecipOptions(ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT QueryDefaultRecipOpt(const char *lpszAdrType,
                                                       BRUTUS::BDEFINE ulFlags,
                                                       BRUTUS::seq_SPropValue_out lppOptions
                                                       ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT GetPAB(BRUTUS::ENTRYID_out lppEntryID
                                         ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT SetPAB(const BRUTUS::ENTRYID & lpEntryID
                                         ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT GetDefaultDir(BRUTUS::ENTRYID_out lppEntryID
                                                ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT SetDefaultDir(const BRUTUS::ENTRYID & lpEntryID
                                                ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT GetSearchPath(BRUTUS::BDEFINE ulFlags,
                                                BRUTUS::SRowSet_out lppSearchPath
                                                ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT SetSearchPath(BRUTUS::BDEFINE ulFlags,
                                                const BRUTUS::SRowSet & lpSearchPath
                                                ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT PrepareRecips(BRUTUS::BDEFINE ulFlags,
                                                const BRUTUS::SPropTagArray & lpPropTagArray,
                                                const BRUTUS::ADRLIST & lpRecipList
                                                ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT GetLocalPointer(CORBA::ULongLong_out Pointer
                                                  ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetLastError(BRUTUS::BRESULT ReturnCode,
                                               BRUTUS::BDEFINE ulFlags,
                                               BRUTUS::MAPIERROR_out lppMAPIError
                                               ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT SaveChanges(BRUTUS::BDEFINE ulFlags
                                              ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetProps(const BRUTUS::SPropTagArray & lpPropTagArray,
                                           BRUTUS::BDEFINE ulFlags,
                                           BRUTUS::seq_SPropValue_out lppPropArray
                                           ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetPropList(BRUTUS::BDEFINE ulFlags,
                                              BRUTUS::SPropTagArray_out lppPropTagArray
                                              ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT OpenProperty(CORBA::ULong ulPropTag,
                                               const char * lpiid,
                                               CORBA::ULong ulInterfaceOptions,
                                               BRUTUS::BDEFINE ulFlags,
                                               BRUTUS::IUnknown_out lppUnk
                                               ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT SetProps(const BRUTUS::seq_SPropValue & lpPropArray,
                                           CORBA::Boolean ProblemInfo,
                                           BRUTUS::SPropProblemArray_out lppProblems
                                           ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT DeleteProps(const BRUTUS::SPropTagArray & lpPropTagArray,
                                              CORBA::Boolean ProblemInfo,
                                              BRUTUS::SPropProblemArray_out lppProblems
                                              ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT CopyTo(const BRUTUS::seq_GUID & rgiidExclude,
                                         const BRUTUS::SPropTagArray & lpExcludeProps,
                                         BRUTUS::IMAPIProgress_ptr lpProgress,
                                         const char * lpInterface,
                                         const BRUTUS::ENTRYID & lpDestObj,
                                         BRUTUS::BDEFINE ulFlags,
                                         CORBA::Boolean ProblemInfo,
                                         BRUTUS::SPropProblemArray_out lppProblems
                                         ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT CopyProps(const BRUTUS::SPropTagArray & lpIncludeProps,
                                            BRUTUS::IMAPIProgress_ptr lpProgress,
                                            const char * lpInterface,
                                            const BRUTUS::ENTRYID & lpDestObj,
                                            BRUTUS::BDEFINE ulFlags,
                                            CORBA::Boolean ProblemInfo,
                                            BRUTUS::SPropProblemArray_out lppProblems
                                            ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetNamesFromIDs(BRUTUS::SPropTagArray & lppPropTags,
                                                  const char * lpPropSetGuid,
                                                  BRUTUS::BDEFINE ulFlags,
                                                  BRUTUS::seq_MAPINAMEID_out lpppPropNames
                                                  ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetIDsFromNames(const BRUTUS::seq_MAPINAMEID & lppPropNames,
                                                  BRUTUS::BDEFINE ulFlags,
                                                  BRUTUS::SPropTagArray_out lppPropTags
                                                  ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT QueryInterface(const char *iid,
                                                 BRUTUS::IUnknown_out ppvObject
                                                 ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual void Destroy(CORBA::ULong InstanceID
                             ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));


private:
        //Constructor 
        BRUTUS_IAddrBook_i(void)
                { };

        //Destructor 
        virtual ~BRUTUS_IAddrBook_i(void)
                { 
                        try {
                                for (unsigned long n = 0; n < advise_sinks_.length(); n++)
                                        addr_book_->Unadvise(advise_sinks_[n]);
                                advise_sinks_.Clear();

                                addr_book_->Release();
                                mapi_session_->Release();
                        }
                        catch (...) {
                                BRUTUS_LOG_ERR("Exception caught");
                        }
                };

        LPADRBOOK addr_book_;
        LPMAPISESSION mapi_session_;
        PortableServer::POA_var poa_;

        Sinks advise_sinks_;
        ACE_RW_Mutex mutex_;
};


#endif /* __IADDRBOOKS_IMPL_H_  */

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
