/*
 *    Brutus header file for the IMAPIAdviseSink servant.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef __IMAPIADVISESINKS_IMPL_H_
#define __IMAPIADVISESINKS_IMPL_H_

#include <idl/IMAPIAdviseSinkS.h>


#if !defined (ACE_LACKS_PRAGMA_ONCE)
#pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

//Class BRUTUS_IMAPIAdviseSink_i
class SERVANTLIB_API BRUTUS_IMAPIAdviseSink_i : public virtual POA_BRUTUS::IMAPIAdviseSink,
        public virtual PortableServer::RefCountServantBase
{
public:
        //Constructor 
        BRUTUS_IMAPIAdviseSink_i (void);
  
        //Destructor 
        virtual ~BRUTUS_IMAPIAdviseSink_i (void);
  
        virtual void OnNotify(const BRUTUS::seq_NOTIFICATION & lpNotifications
                              ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));


        virtual void InternalError(BRUTUS::BRESULT ErrorCode
                                   ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
};


#endif /* __IMAPIADVISESINKS_IMPL_H_  */

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
