/*
 *    Brutus header file for the IMAPIControl servant.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef __IMAPICONTROLS_IMPL_H_
#define __IMAPICONTROLS_IMPL_H_

#include <idl/IMAPIControlS.h>

#include <NT_Service/macros.h>

#define MAPIGUID_H // do not include mapiguid.h
#include <mapix.h>

#if !defined (ACE_LACKS_PRAGMA_ONCE)
#pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

//Class BRUTUS_IMAPIControl_i
class SERVANTLIB_API BRUTUS_IMAPIControl_i : public virtual POA_BRUTUS::IMAPIControl,
                                             public virtual PortableServer::RefCountServantBase
{
public:
        BRUTUS_IMAPIControl_i(LPMAPICONTROL MAPIControl,
                              LPMAPISESSION MAPISession,
                              PortableServer::POA_ptr Poa);
  
        virtual
        ::BRUTUS::BRESULT GetLastError (
                BRUTUS::BRESULT bResult,
                BRUTUS::BDEFINE ulFlags,
                BRUTUS::MAPIERROR_out lppMAPIError
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));
  
        virtual
        ::BRUTUS::BRESULT Activate (
                BRUTUS::BDEFINE ulFlags
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));
  
        virtual
        ::BRUTUS::BRESULT GetState (
                BRUTUS::BDEFINE ulFlags,
                BRUTUS::BDEFINE_out lpulState
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));
  
        virtual ::BRUTUS::BRESULT QueryInterface(const char *iid,
                                                 BRUTUS::IUnknown_out ppvObject
                                                 ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual void Destroy(CORBA::ULong InstanceID
                             ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

private:
        // Skeleton constructor 
        BRUTUS_IMAPIControl_i(void)
                { };
        
        // Destructor 
        virtual ~BRUTUS_IMAPIControl_i(void)
                {
                        try {
                                mapi_control_->Release();
                                mapi_session_->Release();
                        }
                        catch (...) {
                                BRUTUS_LOG_ERR("Exception caught");
                        }
                };
  
        LPMAPICONTROL mapi_control_;
        LPMAPISESSION mapi_session_;
        PortableServer::POA_var poa_;

        ACE_RW_Mutex mutex_;
};


#endif /* __IMAPICONTROLS_IMPL_H_  */

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
