/*
 *    Brutus source file for the IMAPIFormInfo servant.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#include <NT_Service/servant_impl/IMAPIFormInfoS_impl.h>
  
#include <NT_Service/obj_utils.h>
#include <NT_Service/conv_utils.h>


BRUTUS_IMAPIFormInfo_i::BRUTUS_IMAPIFormInfo_i(LPMAPIFORMINFO FormInfo,
                                               LPMAPISESSION MAPISession,
                                               PortableServer::POA_ptr Poa)
        : form_info_(FormInfo), 
          mapi_session_(MAPISession),
          poa_(PortableServer::POA::_duplicate(Poa))
{
        mapi_session_->AddRef();
}

::BRUTUS::BRESULT BRUTUS_IMAPIFormInfo_i::GetLastError (
        BRUTUS::BRESULT bResult,
        BRUTUS::BDEFINE ulFlags,
        BRUTUS::MAPIERROR_out lppMAPIError
        ACE_ENV_ARG_DECL
        )
        ACE_THROW_SPEC ((
                                CORBA::SystemException
                                ))

{
        //Add your implementation here
        return BRUTUS::BRUTUS_MAPI_E_NO_SUPPORT;
}
  
::BRUTUS::BRESULT BRUTUS_IMAPIFormInfo_i::SaveChanges (
        BRUTUS::BDEFINE ulFlags
        ACE_ENV_ARG_DECL
        )
        ACE_THROW_SPEC ((
                                CORBA::SystemException
                                ))

{
        //Add your implementation here
        return BRUTUS::BRUTUS_MAPI_E_NO_SUPPORT;
}
  
::BRUTUS::BRESULT BRUTUS_IMAPIFormInfo_i::GetProps (
        const BRUTUS::SPropTagArray & lpPropTagArray,
        BRUTUS::BDEFINE ulFlags,
        BRUTUS::seq_SPropValue_out lppPropArray
        ACE_ENV_ARG_DECL
        )
        ACE_THROW_SPEC ((
                                CORBA::SystemException
                                ))

{
        //Add your implementation here
        return BRUTUS::BRUTUS_MAPI_E_NO_SUPPORT;
}
  
::BRUTUS::BRESULT BRUTUS_IMAPIFormInfo_i::GetPropList (
        BRUTUS::BDEFINE ulFlags,
        BRUTUS::SPropTagArray_out lppPropTagArray
        ACE_ENV_ARG_DECL
        )
        ACE_THROW_SPEC ((
                                CORBA::SystemException
                                ))

{
        //Add your implementation here
        return BRUTUS::BRUTUS_MAPI_E_NO_SUPPORT;
}
  
::BRUTUS::BRESULT BRUTUS_IMAPIFormInfo_i::OpenProperty (
        CORBA::ULong ulPropTag,
        const char * lpiid,
        CORBA::ULong ulInterfaceOptions,
        BRUTUS::BDEFINE ulFlags,
        BRUTUS::IUnknown_out lppUnk
        ACE_ENV_ARG_DECL
        )
        ACE_THROW_SPEC ((
                                CORBA::SystemException
                                ))

{
        //Add your implementation here
        return BRUTUS::BRUTUS_MAPI_E_NO_SUPPORT;
}
  
::BRUTUS::BRESULT BRUTUS_IMAPIFormInfo_i::SetProps (
        const BRUTUS::seq_SPropValue & lpPropArray,
        CORBA::Boolean ProblemInfo,
        BRUTUS::SPropProblemArray_out lppProblems
        ACE_ENV_ARG_DECL
        )
        ACE_THROW_SPEC ((
                                CORBA::SystemException
                                ))

{
        //Add your implementation here
        return BRUTUS::BRUTUS_MAPI_E_NO_SUPPORT;
}
  
::BRUTUS::BRESULT BRUTUS_IMAPIFormInfo_i::DeleteProps (
        const BRUTUS::SPropTagArray & lpPropTagArray,
        CORBA::Boolean ProblemInfo,
        BRUTUS::SPropProblemArray_out lppProblems
        ACE_ENV_ARG_DECL
        )
        ACE_THROW_SPEC ((
                                CORBA::SystemException
                                ))

{
        //Add your implementation here
        return BRUTUS::BRUTUS_MAPI_E_NO_SUPPORT;
}
  
::BRUTUS::BRESULT BRUTUS_IMAPIFormInfo_i::CopyTo (
        const BRUTUS::seq_GUID & rgiidExclude,
        const BRUTUS::SPropTagArray & lpExcludeProps,
        BRUTUS::IMAPIProgress_ptr lpProgress,
        const char * lpInterface,
        const BRUTUS::ENTRYID & lpDestObj,
        BRUTUS::BDEFINE ulFlags,
        CORBA::Boolean ProblemInfo,
        BRUTUS::SPropProblemArray_out lppProblems
        ACE_ENV_ARG_DECL
        )
        ACE_THROW_SPEC ((
                                CORBA::SystemException
                                ))

{
        //Add your implementation here
        return BRUTUS::BRUTUS_MAPI_E_NO_SUPPORT;
}
  
::BRUTUS::BRESULT BRUTUS_IMAPIFormInfo_i::CopyProps (
        const BRUTUS::SPropTagArray & lpIncludeProps,
        BRUTUS::IMAPIProgress_ptr lpProgress,
        const char * lpInterface,
        const BRUTUS::ENTRYID & lpDestObj,
        BRUTUS::BDEFINE ulFlags,
        CORBA::Boolean ProblemInfo,
        BRUTUS::SPropProblemArray_out lppProblems
        ACE_ENV_ARG_DECL
        )
        ACE_THROW_SPEC ((
                                CORBA::SystemException
                                ))

{
        //Add your implementation here
        return BRUTUS::BRUTUS_MAPI_E_NO_SUPPORT;
}
  
::BRUTUS::BRESULT BRUTUS_IMAPIFormInfo_i::GetNamesFromIDs (
        BRUTUS::SPropTagArray & lppPropTags,
        const char * lpPropSetGuid,
        BRUTUS::BDEFINE ulFlags,
        BRUTUS::seq_MAPINAMEID_out lpppPropNames
        ACE_ENV_ARG_DECL
        )
        ACE_THROW_SPEC ((
                                CORBA::SystemException
                                ))

{
        //Add your implementation here
        return BRUTUS::BRUTUS_MAPI_E_NO_SUPPORT;
}
  
::BRUTUS::BRESULT BRUTUS_IMAPIFormInfo_i::GetIDsFromNames (
        const BRUTUS::seq_MAPINAMEID & lppPropNames,
        BRUTUS::BDEFINE ulFlags,
        BRUTUS::SPropTagArray_out lppPropTags
        ACE_ENV_ARG_DECL
        )
        ACE_THROW_SPEC ((
                                CORBA::SystemException
                                ))

{
        //Add your implementation here
        return BRUTUS::BRUTUS_MAPI_E_NO_SUPPORT;
}
  
::BRUTUS::BRESULT BRUTUS_IMAPIFormInfo_i::QueryInterface(const char *iid,
                                                         BRUTUS::IUnknown_out ppvObject
                                                         ACE_ENV_ARG_DECL)
        ACE_THROW_SPEC((CORBA::SystemException))
{
        BRUTUS_LOG_REF;
        ppvObject = BRUTUS::IUnknown::_nil();

        GUID mapi_iid;
        if (!guid_brutus_to_mapi_no_alloc(iid, &mapi_iid)) {
                BRUTUS_LOG_SUB_BUG("Could not convert BRUTUS::GUID into MAPI GUID");
                return BRUTUS::BRUTUS_MAPI_E_INVALID_PARAMETER;
        }

        HRESULT hr;
        void *object = NULL;
        {
                ACE_Write_Guard<ACE_RW_Mutex> guard(mutex_);
                hr =  form_info_->QueryInterface(mapi_iid, &object);
        }

        BRUTUS::BRESULT br;
        if (!hresult_to_bresult(hr, br)) {
                BRUTUS_LOG_SUB_BUG("Could not convert HRESULT into BRESULT");
                return BRUTUS::BRUTUS_INTERNAL_ERROR;
        }

        if (hr == S_OK) {
                if (!create_brutus_object(iid, (LPUNKNOWN)object, poa_, ppvObject, mapi_session_)) {
                        BRUTUS_LOG_SUB_BUG("Could not create brutus object.");
                        ((LPUNKNOWN)object)->Release();
                        return BRUTUS::BRUTUS_INTERNAL_ERROR;
                }
        }

        return br;
}


void BRUTUS_IMAPIFormInfo_i::Destroy(CORBA::ULong InstanceID
				     ACE_ENV_ARG_DECL)
        ACE_THROW_SPEC((CORBA::SystemException))
{
        BRUTUS_LOG_REF;
        BRUTUS_LOG_SUB_INF("Entering BRUTUS_IMAPIFormInfo_i::Destroy()");

        PortableServer::ObjectId_var oid;
        oid = poa_->servant_to_id(this);

        poa_->deactivate_object(oid);

        BRUTUS_LOG_SUB_INF("Leaving BRUTUS_IMAPIFormInfo_i::Destroy()");
}
  
