/*
 *    Brutus header file for the IMAPITable servant.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef __IMAPITABLES_IMPL_H_
#define __IMAPITABLES_IMPL_H_

#include <idl/IMAPITableS.h>

#include <NT_Service/macros.h>
#include <NT_Service/advise_utils.h>

#define MAPIGUID_H // do not include mapiguid.h
#include <mapix.h>

#if !defined (ACE_LACKS_PRAGMA_ONCE)
#pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

//Class BRUTUS_IMAPITable_i
class SERVANTLIB_API BRUTUS_IMAPITable_i : public virtual POA_BRUTUS::IMAPITable,           
                                           public virtual PortableServer::RefCountServantBase
{
public:
        BRUTUS_IMAPITable_i(LPMAPITABLE MAPITable,
                            LPMAPISESSION MAPISession,
                            PortableServer::POA_ptr Poa);
  
  
        virtual ::BRUTUS::BRESULT GetLastError(BRUTUS::BRESULT ReturnCode,
                                               BRUTUS::BDEFINE ulFlags,
                                               BRUTUS::MAPIERROR_out lppMAPIError
                                               ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT Advise(BRUTUS::BDEFINE ulEventMask,
                                         BRUTUS::IMAPIAdviseSink_ptr lpAdviseSink,
                                         CORBA::ULong_out lpulConnection
                                         ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT Unadvise(CORBA::ULong ulConnection
                                           ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetStatus(CORBA::ULong_out lpulTableStatus,
                                            CORBA::ULong_out lpulTableType
                                            ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT SetColumns(const BRUTUS::SPropTagArray & lpPropTagArray,
                                             BRUTUS::BDEFINE ulFlags
                                             ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT QueryColumns(BRUTUS::BDEFINE ulFlags,
                                               BRUTUS::SPropTagArray_out lpPropTagArray
                                               ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetRowCount(BRUTUS::BDEFINE ulFlags,
                                              CORBA::ULong_out lpulCount
                                              ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT SeekRow(CORBA::ULong bkOrigin,
                                          CORBA::Long lRowCount,
                                          CORBA::Long_out lplRowsSought
                                          ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT SeekRowApprox(CORBA::ULong ulNumerator,
                                                CORBA::ULong ulDenominator
                                                ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT QueryPosition(CORBA::ULong_out lpulRow,
                                                CORBA::ULong_out lpulNumerator,
                                                CORBA::ULong_out lpulDenominator
                                                ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT FindRow(BRUTUS::SRestrictionContainer_ptr lpRestriction,
                                          CORBA::ULong bkOrigin,
                                          BRUTUS::BDEFINE ulFlags
                                          ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT Restrict(BRUTUS::SRestrictionContainer_ptr lpRestriction,
                                           BRUTUS::BDEFINE ulFlags
                                           ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT CreateBookmark(CORBA::ULong_out lpbkPosition
                                                 ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT FreeBookmark(CORBA::ULong bkPosition
                                               ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT SortTable(const BRUTUS::SSortOrderSet & lpSortCriteria,
                                            BRUTUS::BDEFINE ulFlags
                                            ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT QuerySortOrder(BRUTUS::SSortOrderSet_out lppSortCriteria
                                                 ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT QueryRows(CORBA::Long lRowCount,
                                            BRUTUS::BDEFINE ulFlags,
                                            BRUTUS::SRowSet_out lppRows
                                            ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT Abort(ACE_ENV_SINGLE_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT ExpandRow(const BRUTUS::seq_octet & pbInstanceKey,
                                            CORBA::ULong ulRowCount,
                                            BRUTUS::BDEFINE ulFlags,
                                            BRUTUS::SRowSet_out lppRows,
                                            CORBA::ULong_out lpulMoreRows
                                            ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT CollapseRow(const BRUTUS::seq_octet & pbInstanceKey,
                                              BRUTUS::BDEFINE ulFlags,
                                              CORBA::ULong_out lpulRowCount
                                              ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT WaitForCompletion(BRUTUS::BDEFINE ulFlags,
                                                    CORBA::ULong ulTimeout,
                                                    CORBA::ULong & lpulTableStatus
                                                    ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetCollapseState(BRUTUS::BDEFINE ulFlags,
                                                   const BRUTUS::seq_octet & lpbInstanceKey,
                                                   BRUTUS::seq_octet_out lppbCollapseState
                                                   ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT SetCollapseState(BRUTUS::BDEFINE ulFlags,
                                                   const BRUTUS::seq_octet & pbCollapseState,
                                                   CORBA::ULong_out lpbkLocation
                                                   ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetLocalPointer(CORBA::ULongLong_out Pointer
                                                  ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT QueryInterface(const char *iid,
                                                 BRUTUS::IUnknown_out ppvObject
                                                 ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual void Destroy(CORBA::ULong InstanceID
                             ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

private:
        // Skeleton constructor 
        BRUTUS_IMAPITable_i (void)
                { };
        
        // Destructor 
        virtual ~BRUTUS_IMAPITable_i(void)
                {
                        try {
                                for (unsigned long n = 0; n < advise_sinks_.length(); n++)
                                        mapi_table_->Unadvise(advise_sinks_[n]);
                                advise_sinks_.Clear();

                                mapi_table_->Release();
                                mapi_session_->Release();
                        }
                        catch (...) {
                                BRUTUS_LOG_ERR("Exception caught");
                        }
                };
  
        LPMAPITABLE mapi_table_;
        LPMAPISESSION mapi_session_;
        PortableServer::POA_var poa_;

        Sinks advise_sinks_;
        ACE_RW_Mutex mutex_;
};


#endif /* __IMAPITABLES_IMPL_H_  */

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
