/*
 *    Brutus header file for the IMsgServiceAdmin servant.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef __IMSGSERVICEADMINS_IMPL_H_
#define __IMSGSERVICEADMINS_IMPL_H_

#include <idl/IMsgServiceAdminS.h>

#include <NT_Service/macros.h>

#define MAPIGUID_H // do not include mapiguid.h
#include <mapix.h>


#if !defined (ACE_LACKS_PRAGMA_ONCE)
#pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

//Class BRUTUS_IMsgServiceAdmin_i
class SERVANTLIB_API BRUTUS_IMsgServiceAdmin_i : public virtual POA_BRUTUS::IMsgServiceAdmin,
                                                 public virtual PortableServer::RefCountServantBase
{
public:

        BRUTUS_IMsgServiceAdmin_i(LPSERVICEADMIN ServiceAdmin,
                                  LPMAPISESSION MAPISession,
                                  PortableServer::POA_ptr Poa);

        virtual ::BRUTUS::BRESULT GetLastError (
                BRUTUS::BRESULT bResult,
                BRUTUS::BDEFINE ulFlags,
                BRUTUS::MAPIERROR_out lppMAPIError
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));

        virtual ::BRUTUS::BRESULT GetMsgServiceTable (
                BRUTUS::BDEFINE ulFlags,
                BRUTUS::IMAPITable_out lppTable
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));

        virtual ::BRUTUS::BRESULT CreateMsgService (
                const char * lpszService,
                const char * lpszDisplayName,
                BRUTUS::BDEFINE ulFlags
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));

        virtual ::BRUTUS::BRESULT DeleteMsgService (
                const char * lpUID
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));

        virtual ::BRUTUS::BRESULT CopyMsgService (
                const char * lpUID,
                const char * lpszDisplayName,
                const char * lpInterfaceToCopy,
                const char * lpInterfaceDst,
                const BRUTUS::ENTRYID & lpObjectDst,
                BRUTUS::BDEFINE ulFlags
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));

        virtual ::BRUTUS::BRESULT RenameMsgService (
                const char * lpUID,
                BRUTUS::BDEFINE ulFlags,
                const char * lpszDisplayName
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));

        virtual ::BRUTUS::BRESULT ConfigureMsgService (
                const char * lpUID,
                BRUTUS::BDEFINE ulFlags,
                const BRUTUS::seq_SPropValue & lpProps
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));

        virtual ::BRUTUS::BRESULT OpenProfileSection (
                const char * lpUID,
                const char * lpInterface,
                BRUTUS::BDEFINE ulFlags,
                BRUTUS::IProfSect_out lppProfSect
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));

        virtual ::BRUTUS::BRESULT MsgServiceTransportOrder (
                const BRUTUS::seq_MAPIUID & lpUIDList,
                BRUTUS::BDEFINE ulFlags
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));

        virtual ::BRUTUS::BRESULT AdminProviders (
                const char * lpUID,
                BRUTUS::BDEFINE ulFlags,
                BRUTUS::IProviderAdmin_out lppProviderAdmin
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));

        virtual ::BRUTUS::BRESULT SetPrimaryIdentity (
                const char * lpUID,
                BRUTUS::BDEFINE ulFlags
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));

        virtual ::BRUTUS::BRESULT GetProviderTable (
                BRUTUS::BDEFINE ulFlags,
                BRUTUS::IMAPITable_out lppTable
                ACE_ENV_ARG_DECL
                )
                ACE_THROW_SPEC ((
                                        CORBA::SystemException
                                        ));

        virtual ::BRUTUS::BRESULT QueryInterface(const char *iid,
                                                 BRUTUS::IUnknown_out ppvObject
                                                 ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual void Destroy(CORBA::ULong InstanceID
                             ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

private:
        // Skeleton constructor 
        BRUTUS_IMsgServiceAdmin_i (void)
                { };

        // Destructor 
        virtual ~BRUTUS_IMsgServiceAdmin_i(void)
                {
                        try {
                                service_admin_->Release();
                                mapi_session_->Release();
                        }
                        catch (...) {
                                BRUTUS_LOG_ERR("Exception caught");
                        }
                };

        LPSERVICEADMIN service_admin_;
        LPMAPISESSION mapi_session_;
        PortableServer::POA_var poa_;

        ACE_RW_Mutex mutex_;
};


#endif /* __IMSGSERVICEADMINS_IMPL_H_  */

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
