/*
 *    Brutus header file for the IMsgStore servant.
 *    Copyright (C) 2004 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */


#ifndef __IMSGSTORES_IMPL_H_
#define __IMSGSTORES_IMPL_H_

#include <idl/IMsgStoreS.h>
#include <NT_Service/macros.h>
#include <NT_Service/advise_utils.h>

#include <NT_Service/guid.h>
#define MAPIGUID_H // do not include mapiguid.h
#include <mapix.h>

#if !defined(ACE_LACKS_PRAGMA_ONCE)
#pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

//Class BRUTUS_IMsgStore_i
class SERVANTLIB_API BRUTUS_IMsgStore_i : public virtual POA_BRUTUS::IMsgStore,
                                          public virtual PortableServer::RefCountServantBase
{
public:
        BRUTUS_IMsgStore_i(LPMDB MsgStore,
                           LPMAPISESSION MAPISession,
                           PortableServer::POA_ptr Poa);

  
        virtual ::BRUTUS::BRESULT Advise(const BRUTUS::ENTRYID & lpEntryID,
                                         BRUTUS::BDEFINE ulEventMask,
                                         BRUTUS::IMAPIAdviseSink_ptr lpAdviseSink,
                                         CORBA::ULong_out lpulConnection
                                         ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT Unadvise(CORBA::ULong ulConnection
                                           ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT CompareEntryIDs(const BRUTUS::ENTRYID & lpEntryID1,
                                                  const BRUTUS::ENTRYID & lpEntryID2,
                                                  BRUTUS::BDEFINE ulFlags,
                                                  CORBA::Boolean_out lpulResult
                                                  ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT OpenEntry(const BRUTUS::ENTRYID & lpEntryID,
                                            const char * lpInterface,
                                            BRUTUS::BDEFINE ulFlags,
                                            CORBA::ULong_out lpulObjType,
                                            BRUTUS::IUnknown_out lppUnk
                                            ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT SetReceiveFolder(const char * lpszMessageClass,
                                                   BRUTUS::BDEFINE ulFlags,
                                                   const BRUTUS::ENTRYID & lpEntryID
                                                   ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetReceiveFolder(const char * lpszMessageClass,
                                                   BRUTUS::BDEFINE ulFlags,
                                                   BRUTUS::ENTRYID_out lppEntryID,
                                                   CORBA::String_out lppszExplicitClass
                                                   ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetReceiveFolderTable(BRUTUS::BDEFINE ulFlags,
                                                        BRUTUS::IMAPITable_out lppTable
                                                        ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT StoreLogoff(BRUTUS::BDEFINE & lpulFlags
                                              ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT AbortSubmit(const BRUTUS::ENTRYID & lpEntryID,
                                              BRUTUS::BDEFINE ulFlags
                                              ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetOutgoingQueue(BRUTUS::BDEFINE ulFlags,
                                                   BRUTUS::IMAPITable_out lppTable
                                                   ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT SetLockState(const BRUTUS::ENTRYID & Message,
                                               CORBA::ULong ulLockState
                                               ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT FinishedMsg(BRUTUS::BDEFINE ulFlags,
                                              const BRUTUS::ENTRYID & lpEntryID
                                              ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT NotifyNewMail(ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetLastError(BRUTUS::BRESULT ReturnCode,
                                               BRUTUS::BDEFINE ulFlags,
                                               BRUTUS::MAPIERROR_out lppMAPIError
                                               ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT SaveChanges(BRUTUS::BDEFINE ulFlags
                                              ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetProps(const BRUTUS::SPropTagArray & lpPropTagArray,
                                           BRUTUS::BDEFINE ulFlags,
                                           BRUTUS::seq_SPropValue_out lppPropArray
                                           ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetPropList(BRUTUS::BDEFINE ulFlags,
                                              BRUTUS::SPropTagArray_out lppPropTagArray
                                              ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT OpenProperty(CORBA::ULong ulPropTag,
                                               const char * lpiid,
                                               CORBA::ULong ulInterfaceOptions,
                                               BRUTUS::BDEFINE ulFlags,
                                               BRUTUS::IUnknown_out lppUnk
                                               ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT SetProps(const BRUTUS::seq_SPropValue & lpPropArray,
                                           CORBA::Boolean ProblemInfo,
                                           BRUTUS::SPropProblemArray_out lppProblems
                                           ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT DeleteProps(const BRUTUS::SPropTagArray & lpPropTagArray,
                                              CORBA::Boolean ProblemInfo,
                                              BRUTUS::SPropProblemArray_out lppProblems
                                              ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT CopyTo(const BRUTUS::seq_GUID & rgiidExclude,
                                         const BRUTUS::SPropTagArray & lpExcludeProps,
                                         BRUTUS::IMAPIProgress_ptr lpProgress,
                                         const char * lpInterface,
                                         const BRUTUS::ENTRYID & lpDestObj,
                                         BRUTUS::BDEFINE ulFlags,
                                         CORBA::Boolean ProblemInfo,
                                         BRUTUS::SPropProblemArray_out lppProblems
                                         ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT CopyProps(const BRUTUS::SPropTagArray & lpIncludeProps,
                                            BRUTUS::IMAPIProgress_ptr lpProgress,
                                            const char * lpInterface,
                                            const BRUTUS::ENTRYID & lpDestObj,
                                            BRUTUS::BDEFINE ulFlags,
                                            CORBA::Boolean ProblemInfo,
                                            BRUTUS::SPropProblemArray_out lppProblems
                                            ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetNamesFromIDs(BRUTUS::SPropTagArray & lppPropTags,
                                                  const char * lpPropSetGuid,
                                                  BRUTUS::BDEFINE ulFlags,
                                                  BRUTUS::seq_MAPINAMEID_out lpppPropNames
                                                  ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual ::BRUTUS::BRESULT GetIDsFromNames(const BRUTUS::seq_MAPINAMEID & lppPropNames,
                                                  BRUTUS::BDEFINE ulFlags,
                                                  BRUTUS::SPropTagArray_out lppPropTags
                                                  ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT GetIExchangeManageStore(::BRUTUS::IExchangeManageStore_out MngStore
                                                          ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT GetLocalPointer(::CORBA::ULongLong_out Pointer
                                                  ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual ::BRUTUS::BRESULT QueryInterface(const char *iid,
                                                 BRUTUS::IUnknown_out ppvObject
                                                 ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual void Destroy(CORBA::ULong InstanceID
                             ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

private:
        BRUTUS_IMsgStore_i(void)
                { };
  
        virtual ~BRUTUS_IMsgStore_i(void)
                {
                        try {
                                for (unsigned long n = 0; n < advise_sinks_.length(); n++)
                                        msg_store_->Unadvise(advise_sinks_[n]);
                                advise_sinks_.Clear();

                                msg_store_->Release();
                                mapi_session_->Release();
                        }
                        catch (...) {
                                BRUTUS_LOG_ERR("Exception caught");
                        }
                };
        
        LPMDB msg_store_;
        LPMAPISESSION mapi_session_;
        PortableServer::POA_var poa_;

        Sinks advise_sinks_;
        ACE_RW_Mutex mutex_;
};


#endif /* __IMSGSTORES_IMPL_H_  */

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
