/*
 *    Brutus header file for the LogServer servant.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __LOG_SERVERS_IMPL_H_
#define __LOG_SERVERS_IMPL_H_

#include <idl/log_serverS.h>
#include <fstream>
#include <iostream>
#include <time.h>

#if !defined (ACE_LACKS_PRAGMA_ONCE)
#pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

class BRUTUS_LogServer_i : public virtual POA_BRUTUS::LogServer, 
                           public virtual PortableServer::RefCountServantBase
{
public:
        BRUTUS_LogServer_i(void);

        virtual void log(const ::BRUTUS::LogServer::LogEntry & Entry
                         ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

        virtual CORBA::ULong log_leader(const ::BRUTUS::LogServer::LogEntry & Entry
                                        ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));
  
        virtual void log_follower(::CORBA::ULong leader,
                                  const ::BRUTUS::LogServer::LogEntry & Entry
                                  ACE_ENV_ARG_DECL)
                ACE_THROW_SPEC((CORBA::SystemException));

private:
        virtual ~BRUTUS_LogServer_i(void)
                { };

        struct tm *gmt_;
        time_t cur_time_;
        CORBA::ULong entry_count_;

        std::fstream log_file_;
        ACE_RW_Mutex mutex_;
};


#endif /* __LOG_SERVERS_IMPL_H_  */

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
