/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *    Camel Brutus locking macros. 
 *
 *    Authors:
 *        Jules Colding <colding@omesc.com>
 *
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *    MA 02111-1307 USA
 */

#ifndef CAMEL_BRUTUS_PRIVATE_H
#define CAMEL_BRUTUS_PRIVATE_H 1

#include <glib.h>

G_BEGIN_DECLS
 
#define BRUTUS_STORE_LOCK(__obj__, __mutex__) G_STMT_START { g_mutex_lock(((CamelBrutusStore*)__obj__)->priv->__mutex__); } G_STMT_END
#define BRUTUS_STORE_TRY_LOCK(__obj__, __mutex__) G_STMT_START { if(!g_mutex_trylock(((CamelBrutusStore*)__obj__)->priv->__mutex__)) goto out; } G_STMT_END
#define BRUTUS_STORE_UNLOCK(__obj__, __mutex__) G_STMT_START { g_mutex_unlock(((CamelBrutusStore*)__obj__)->priv->__mutex__); } G_STMT_END

#define BRUTUS_PRIV_LOCK(__obj__, __mutex__) G_STMT_START { g_mutex_lock(__obj__->__mutex__); } G_STMT_END
#define BRUTUS_PRIV_TRY_LOCK(__obj__, __mutex__) G_STMT_START { if(!g_mutex_trylock(__obj__->__mutex__)) goto out; } G_STMT_END
#define BRUTUS_PRIV_UNLOCK(__obj__, __mutex__) G_STMT_START { g_mutex_unlock(__obj__->__mutex__); } G_STMT_END

#define BRUTUS_FOLDER_LOCK(__obj__, __mutex__) G_STMT_START { g_mutex_lock(((CamelBrutusFolder*)__obj__)->__mutex__); } G_STMT_END
#define BRUTUS_FOLDER_TRY_LOCK(__obj__, __mutex__) G_STMT_START { if(!g_mutex_trylock(((CamelBrutusFolder*)__obj__)->__mutex__)) goto out; } G_STMT_END
#define BRUTUS_FOLDER_UNLOCK(__obj__, __mutex__) G_STMT_START { g_mutex_unlock(((CamelBrutusFolder*)__obj__)->__mutex__); } G_STMT_END


G_END_DECLS

#endif /* CAMEL_BRUTUS_PRIVATE_H */
