/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *    Implementation file for Brutus utility functions.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *    MA 02111-1307 USA
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdlib.h>

#include "brutus.h"
#include "brutus_corba.h"
#include "brutus_util.h"

void brutus_for_each_free(gpointer data,
			  gpointer user_data)
{
	free(data);
}

void brutus_for_each_g_free(gpointer data,
			    gpointer user_data)
{
	g_free(data);
}

int brutus_timezone_to_gmt_offset(long time_zone_offset)
{
	int tz = (-1) * time_zone_offset;

	return (((tz/60/60) * 100) + (tz/60 % 60));
}

