/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *    Brutus header file for Brutus utility functions.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *    MA 02111-1307 USA
 */

#ifndef _BRUTUS_UTIL_H_
#define _BRUTUS_UTIL_H_

#include <glib.h>

G_BEGIN_DECLS

/*
 * Both of these are for use in g_list_foreach() and g_slist_foreach()
 */
extern void brutus_for_each_free(gpointer data,
				 gpointer user_data);

extern void brutus_for_each_g_free(gpointer data,
				   gpointer user_data);

/*
 * time_zone_offset: offset from GMT in minutes - east is negative, west
 * is positive
 *
 * Will return 100 if time_zone_offset is -60.
 * Will return 130 if time_zone_offset is -90.
 */
extern int brutus_timezone_to_gmt_offset(long time_zone_offset);

G_END_DECLS

#endif /* _BRUTUS_UTIL_H_ */
