/*
 *    Servant implementation file for a Brutus proxy daemon.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *    MA 02111-1307 USA
 */

/* This is a template file generated by command */
/* orbit-idl-2 --skeleton-impl IAddrBook.idl */
/* User must edit this file, inserting servant  */
/* specific code between markers. */

#include "IAddrBook.h"

/*** App-specific servant structures ***/

#if !defined(_typedef_impl_POA_BRUTUS_IAddrBook_)
#define _typedef_impl_POA_BRUTUS_IAddrBook_ 1
typedef struct {
	POA_BRUTUS_IAddrBook servant;
	PortableServer_POA poa;
	/* ------ add private attributes here ------ */
	/* ------ ---------- end ------------ ------ */
} impl_POA_BRUTUS_IAddrBook;
#endif


/*** Implementation stub prototypes ***/

#if !defined(_decl_impl_BRUTUS_IAddrBook__destroy_)
#define _decl_impl_BRUTUS_IAddrBook__destroy_ 1
static void impl_BRUTUS_IAddrBook__destroy(impl_POA_BRUTUS_IAddrBook *servant,
					   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_OpenEntry_)
#define _decl_impl_BRUTUS_IAddrBook_OpenEntry_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_OpenEntry(impl_POA_BRUTUS_IAddrBook *servant,
				const BRUTUS_ENTRYID* lpEntryID,
				const CORBA_char * lpInterface,
				const BRUTUS_BDEFINE ulFlags,
				BRUTUS_BDEFINE* lpulObjType,
				BRUTUS_IUnknown* lppUnk,
				CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_CompareEntryIDs_)
#define _decl_impl_BRUTUS_IAddrBook_CompareEntryIDs_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_CompareEntryIDs(impl_POA_BRUTUS_IAddrBook *servant,
				      const BRUTUS_ENTRYID* lpEntryID1,
				      const BRUTUS_ENTRYID* lpEntryID2,
				      const BRUTUS_BDEFINE ulFlags,
				      CORBA_unsigned_long* lpulResult,
				      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_Advise_)
#define _decl_impl_BRUTUS_IAddrBook_Advise_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_Advise(impl_POA_BRUTUS_IAddrBook *servant,
			     const BRUTUS_ENTRYID* lpEntryID,
			     const BRUTUS_BDEFINE ulEventMask,
			     const BRUTUS_IMAPIAdviseSink lpAdviseSink,
			     CORBA_unsigned_long* lpulConnection,
			     CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_Unadvise_)
#define _decl_impl_BRUTUS_IAddrBook_Unadvise_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_Unadvise(impl_POA_BRUTUS_IAddrBook *servant,
			       const CORBA_unsigned_long ulConnection,
			       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_CreateOneOff_)
#define _decl_impl_BRUTUS_IAddrBook_CreateOneOff_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_CreateOneOff(impl_POA_BRUTUS_IAddrBook *servant,
				   const CORBA_char * lpszName,
				   const CORBA_char * lpszAdrType,
				   const CORBA_char * lpszAddress,
				   const BRUTUS_BDEFINE ulFlags,
				   BRUTUS_ENTRYID** lppEntryID,
				   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_NewEntry_)
#define _decl_impl_BRUTUS_IAddrBook_NewEntry_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_NewEntry(impl_POA_BRUTUS_IAddrBook *servant,
			       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_ResolveName_)
#define _decl_impl_BRUTUS_IAddrBook_ResolveName_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_ResolveName(impl_POA_BRUTUS_IAddrBook *servant,
				  const BRUTUS_BDEFINE ulFlags,
				  BRUTUS_ADRLIST* lpAdrList,
				  CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_Address_)
#define _decl_impl_BRUTUS_IAddrBook_Address_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_Address(impl_POA_BRUTUS_IAddrBook *servant,
			      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_Details_)
#define _decl_impl_BRUTUS_IAddrBook_Details_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_Details(impl_POA_BRUTUS_IAddrBook *servant,
			      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_RecipOptions_)
#define _decl_impl_BRUTUS_IAddrBook_RecipOptions_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_RecipOptions(impl_POA_BRUTUS_IAddrBook *servant,
				   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_QueryDefaultRecipOpt_)
#define _decl_impl_BRUTUS_IAddrBook_QueryDefaultRecipOpt_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_QueryDefaultRecipOpt(impl_POA_BRUTUS_IAddrBook *servant,
					   const CORBA_char * lpszAdrType,
					   const BRUTUS_BDEFINE ulFlags,
					   BRUTUS_seq_SPropValue** lppOptions,
					   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_GetPAB_)
#define _decl_impl_BRUTUS_IAddrBook_GetPAB_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetPAB(impl_POA_BRUTUS_IAddrBook *servant,
			     BRUTUS_ENTRYID** lppEntryID,
			     CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_SetPAB_)
#define _decl_impl_BRUTUS_IAddrBook_SetPAB_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_SetPAB(impl_POA_BRUTUS_IAddrBook *servant,
			     const BRUTUS_ENTRYID* lpEntryID,
			     CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_GetDefaultDir_)
#define _decl_impl_BRUTUS_IAddrBook_GetDefaultDir_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetDefaultDir(impl_POA_BRUTUS_IAddrBook *servant,
				    BRUTUS_ENTRYID** lppEntryID,
				    CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_SetDefaultDir_)
#define _decl_impl_BRUTUS_IAddrBook_SetDefaultDir_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_SetDefaultDir(impl_POA_BRUTUS_IAddrBook *servant,
				    const BRUTUS_ENTRYID* lpEntryID,
				    CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_GetSearchPath_)
#define _decl_impl_BRUTUS_IAddrBook_GetSearchPath_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetSearchPath(impl_POA_BRUTUS_IAddrBook *servant,
				    const BRUTUS_BDEFINE ulFlags,
				    BRUTUS_SRowSet** lppSearchPath,
				    CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_SetSearchPath_)
#define _decl_impl_BRUTUS_IAddrBook_SetSearchPath_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_SetSearchPath(impl_POA_BRUTUS_IAddrBook *servant,
				    const BRUTUS_BDEFINE ulFlags,
				    const BRUTUS_SRowSet* lpSearchPath,
				    CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_PrepareRecips_)
#define _decl_impl_BRUTUS_IAddrBook_PrepareRecips_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_PrepareRecips(impl_POA_BRUTUS_IAddrBook *servant,
				    const BRUTUS_BDEFINE ulFlags,
				    const BRUTUS_SPropTagArray* lpPropTagArray,
				    const BRUTUS_ADRLIST* lpRecipList,
				    CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_GetLocalPointer_)
#define _decl_impl_BRUTUS_IAddrBook_GetLocalPointer_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetLocalPointer(impl_POA_BRUTUS_IAddrBook *servant,
				      CORBA_unsigned_long_long* Pointer,
				      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_QueryInterface_)
#define _decl_impl_BRUTUS_IAddrBook_QueryInterface_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_QueryInterface(impl_POA_BRUTUS_IAddrBook *servant,
				     const CORBA_char * iid,
				     BRUTUS_IUnknown* ppvObject,
				     CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_Destroy_)
#define _decl_impl_BRUTUS_IAddrBook_Destroy_ 1
static void
impl_BRUTUS_IAddrBook_Destroy(impl_POA_BRUTUS_IAddrBook *servant,
			      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_GetLastError_)
#define _decl_impl_BRUTUS_IAddrBook_GetLastError_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetLastError(impl_POA_BRUTUS_IAddrBook *servant,
				   const BRUTUS_BRESULT ReturnCode,
				   const BRUTUS_BDEFINE ulFlags,
				   BRUTUS_MAPIERROR** lppMAPIError,
				   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_SaveChanges_)
#define _decl_impl_BRUTUS_IAddrBook_SaveChanges_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_SaveChanges(impl_POA_BRUTUS_IAddrBook *servant,
				  const BRUTUS_BDEFINE ulFlags,
				  CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_GetProps_)
#define _decl_impl_BRUTUS_IAddrBook_GetProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetProps(impl_POA_BRUTUS_IAddrBook *servant,
			       const BRUTUS_SPropTagArray* lpPropTagArray,
			       const BRUTUS_BDEFINE ulFlags,
			       BRUTUS_seq_SPropValue** lppPropArray,
			       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_GetPropList_)
#define _decl_impl_BRUTUS_IAddrBook_GetPropList_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetPropList(impl_POA_BRUTUS_IAddrBook *servant,
				  const BRUTUS_BDEFINE ulFlags,
				  BRUTUS_SPropTagArray** lppPropTagArray,
				  CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_OpenProperty_)
#define _decl_impl_BRUTUS_IAddrBook_OpenProperty_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_OpenProperty(impl_POA_BRUTUS_IAddrBook *servant,
				   const CORBA_unsigned_long ulPropTag,
				   const CORBA_char * lpiid,
				   const CORBA_unsigned_long ulInterfaceOptions,
				   const BRUTUS_BDEFINE ulFlags,
				   BRUTUS_IUnknown* lppUnk,
				   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_SetProps_)
#define _decl_impl_BRUTUS_IAddrBook_SetProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_SetProps(impl_POA_BRUTUS_IAddrBook *servant,
			       const BRUTUS_seq_SPropValue* lpPropArray,
			       const CORBA_boolean ProblemInfo,
			       BRUTUS_SPropProblemArray** lppProblems,
			       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_DeleteProps_)
#define _decl_impl_BRUTUS_IAddrBook_DeleteProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_DeleteProps(impl_POA_BRUTUS_IAddrBook *servant,
				  const BRUTUS_SPropTagArray* lpPropTagArray,
				  const CORBA_boolean ProblemInfo,
				  BRUTUS_SPropProblemArray** lppProblems,
				  CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_CopyTo_)
#define _decl_impl_BRUTUS_IAddrBook_CopyTo_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_CopyTo(impl_POA_BRUTUS_IAddrBook *servant,
			     const BRUTUS_seq_GUID* rgiidExclude,
			     const BRUTUS_SPropTagArray* lpExcludeProps,
			     const BRUTUS_IMAPIProgress lpProgress,
			     const CORBA_char * lpInterface,
			     const BRUTUS_ENTRYID* lpDestObj,
			     const BRUTUS_BDEFINE ulFlags,
			     const CORBA_boolean ProblemInfo,
			     BRUTUS_SPropProblemArray** lppProblems,
			     CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_CopyProps_)
#define _decl_impl_BRUTUS_IAddrBook_CopyProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_CopyProps(impl_POA_BRUTUS_IAddrBook *servant,
				const BRUTUS_SPropTagArray* lpIncludeProps,
				const BRUTUS_IMAPIProgress lpProgress,
				const CORBA_char * lpInterface,
				const BRUTUS_ENTRYID* lpDestObj,
				const BRUTUS_BDEFINE ulFlags,
				const CORBA_boolean ProblemInfo,
				BRUTUS_SPropProblemArray** lppProblems,
				CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_GetNamesFromIDs_)
#define _decl_impl_BRUTUS_IAddrBook_GetNamesFromIDs_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetNamesFromIDs(impl_POA_BRUTUS_IAddrBook *servant,
				      BRUTUS_SPropTagArray* lppPropTags,
				      const CORBA_char * lpPropSetGuid,
				      const BRUTUS_BDEFINE ulFlags,
				      BRUTUS_seq_MAPINAMEID** lpppPropNames,
				      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IAddrBook_GetIDsFromNames_)
#define _decl_impl_BRUTUS_IAddrBook_GetIDsFromNames_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetIDsFromNames(impl_POA_BRUTUS_IAddrBook *servant,
				      const BRUTUS_seq_MAPINAMEID* lppPropNames,
				      const BRUTUS_BDEFINE ulFlags,
				      BRUTUS_SPropTagArray** lppPropTags,
				      CORBA_Environment *ev);
#endif


/*** epv structures ***/

#if !defined(_impl_BRUTUS_IAddrBook_base_epv_)
#define _impl_BRUTUS_IAddrBook_base_epv_ 1
static PortableServer_ServantBase__epv impl_BRUTUS_IAddrBook_base_epv = {
	NULL,             /* _private data */
	(gpointer) & impl_BRUTUS_IAddrBook__destroy, /* finalize routine */
	NULL,             /* default_POA routine */
};
#endif

#if !defined(_impl_BRUTUS_IAddrBook_epv_)
#define _impl_BRUTUS_IAddrBook_epv_ 1
static POA_BRUTUS_IAddrBook__epv impl_BRUTUS_IAddrBook_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_IAddrBook_OpenEntry,
	(gpointer)&impl_BRUTUS_IAddrBook_CompareEntryIDs,
	(gpointer)&impl_BRUTUS_IAddrBook_Advise,
	(gpointer)&impl_BRUTUS_IAddrBook_Unadvise,
	(gpointer)&impl_BRUTUS_IAddrBook_CreateOneOff,
	(gpointer)&impl_BRUTUS_IAddrBook_NewEntry,
	(gpointer)&impl_BRUTUS_IAddrBook_ResolveName,
	(gpointer)&impl_BRUTUS_IAddrBook_Address,
	(gpointer)&impl_BRUTUS_IAddrBook_Details,
	(gpointer)&impl_BRUTUS_IAddrBook_RecipOptions,
	(gpointer)&impl_BRUTUS_IAddrBook_QueryDefaultRecipOpt,
	(gpointer)&impl_BRUTUS_IAddrBook_GetPAB,
	(gpointer)&impl_BRUTUS_IAddrBook_SetPAB,
	(gpointer)&impl_BRUTUS_IAddrBook_GetDefaultDir,
	(gpointer)&impl_BRUTUS_IAddrBook_SetDefaultDir,
	(gpointer)&impl_BRUTUS_IAddrBook_GetSearchPath,
	(gpointer)&impl_BRUTUS_IAddrBook_SetSearchPath,
	(gpointer)&impl_BRUTUS_IAddrBook_PrepareRecips,
	(gpointer)&impl_BRUTUS_IAddrBook_GetLocalPointer,
};
#endif

#if !defined(_impl_BRUTUS_IAddrBook_BRUTUS_IUnknown_epv_)
#define _impl_BRUTUS_IAddrBook_BRUTUS_IUnknown_epv_ 1
static POA_BRUTUS_IUnknown__epv impl_BRUTUS_IAddrBook_BRUTUS_IUnknown_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_IAddrBook_QueryInterface,
	(gpointer)&impl_BRUTUS_IAddrBook_Destroy,
};
#endif
#if !defined(_impl_BRUTUS_IAddrBook_BRUTUS_IMAPIProp_epv_)
#define _impl_BRUTUS_IAddrBook_BRUTUS_IMAPIProp_epv_ 1
static POA_BRUTUS_IMAPIProp__epv impl_BRUTUS_IAddrBook_BRUTUS_IMAPIProp_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_IAddrBook_GetLastError,
	(gpointer)&impl_BRUTUS_IAddrBook_SaveChanges,
	(gpointer)&impl_BRUTUS_IAddrBook_GetProps,
	(gpointer)&impl_BRUTUS_IAddrBook_GetPropList,
	(gpointer)&impl_BRUTUS_IAddrBook_OpenProperty,
	(gpointer)&impl_BRUTUS_IAddrBook_SetProps,
	(gpointer)&impl_BRUTUS_IAddrBook_DeleteProps,
	(gpointer)&impl_BRUTUS_IAddrBook_CopyTo,
	(gpointer)&impl_BRUTUS_IAddrBook_CopyProps,
	(gpointer)&impl_BRUTUS_IAddrBook_GetNamesFromIDs,
	(gpointer)&impl_BRUTUS_IAddrBook_GetIDsFromNames,
};
#endif

/*** vepv structures ***/

#if !defined(_impl_BRUTUS_IAddrBook_vepv_)
#define _impl_BRUTUS_IAddrBook_vepv_ 1
static POA_BRUTUS_IAddrBook__vepv impl_BRUTUS_IAddrBook_vepv = {
	&impl_BRUTUS_IAddrBook_base_epv,
	&impl_BRUTUS_IAddrBook_BRUTUS_IUnknown_epv,
	&impl_BRUTUS_IAddrBook_BRUTUS_IMAPIProp_epv,
	&impl_BRUTUS_IAddrBook_epv,
};
#endif


/*** Stub implementations ***/

#if !defined(_impl_BRUTUS_IAddrBook__create_)
#define _impl_BRUTUS_IAddrBook__create_ 1
static BRUTUS_IAddrBook impl_BRUTUS_IAddrBook__create(PortableServer_POA poa, CORBA_Environment *ev)
{
	BRUTUS_IAddrBook retval;
	impl_POA_BRUTUS_IAddrBook *newservant;
	PortableServer_ObjectId *objid;

	newservant = g_new0(impl_POA_BRUTUS_IAddrBook, 1);
	newservant->servant.vepv = &impl_BRUTUS_IAddrBook_vepv;
	newservant->poa = (PortableServer_POA) CORBA_Object_duplicate((CORBA_Object)poa, ev);
	POA_BRUTUS_IAddrBook__init((PortableServer_Servant)newservant, ev);
	/* Before servant is going to be activated all
	 * private attributes must be initialized.  */

	/* ------ init private attributes here ------ */
	/* ------ ---------- end ------------- ------ */

	objid = PortableServer_POA_activate_object(poa, newservant, ev);
	CORBA_free(objid);
	retval = PortableServer_POA_servant_to_reference(poa, newservant, ev);

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook__destroy_)
#define _impl_BRUTUS_IAddrBook__destroy_ 1
static void
impl_BRUTUS_IAddrBook__destroy(impl_POA_BRUTUS_IAddrBook *servant, CORBA_Environment *ev)
{
	CORBA_Object_release ((CORBA_Object) servant->poa, ev);

	/* No further remote method calls are delegated to 
	 * servant and you may free your private attributes. */
	/* ------ free private attributes here ------ */
	/* ------ ---------- end ------------- ------ */

	POA_BRUTUS_IAddrBook__fini((PortableServer_Servant)servant, ev);

	g_free (servant);
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_OpenEntry_)
#define _impl_BRUTUS_IAddrBook_OpenEntry_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_OpenEntry(impl_POA_BRUTUS_IAddrBook *servant,
				const BRUTUS_ENTRYID* lpEntryID,
				const CORBA_char * lpInterface,
				const BRUTUS_BDEFINE ulFlags,
				BRUTUS_BDEFINE* lpulObjType,
				BRUTUS_IUnknown* lppUnk,
				CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_CompareEntryIDs_)
#define _impl_BRUTUS_IAddrBook_CompareEntryIDs_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_CompareEntryIDs(impl_POA_BRUTUS_IAddrBook *servant,
				      const BRUTUS_ENTRYID* lpEntryID1,
				      const BRUTUS_ENTRYID* lpEntryID2,
				      const BRUTUS_BDEFINE ulFlags,
				      CORBA_unsigned_long* lpulResult,
				      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_Advise_)
#define _impl_BRUTUS_IAddrBook_Advise_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_Advise(impl_POA_BRUTUS_IAddrBook *servant,
			     const BRUTUS_ENTRYID* lpEntryID,
			     const BRUTUS_BDEFINE ulEventMask,
			     const BRUTUS_IMAPIAdviseSink lpAdviseSink,
			     CORBA_unsigned_long* lpulConnection,
			     CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_Unadvise_)
#define _impl_BRUTUS_IAddrBook_Unadvise_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_Unadvise(impl_POA_BRUTUS_IAddrBook *servant,
			       const CORBA_unsigned_long ulConnection,
			       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_CreateOneOff_)
#define _impl_BRUTUS_IAddrBook_CreateOneOff_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_CreateOneOff(impl_POA_BRUTUS_IAddrBook *servant,
				   const CORBA_char * lpszName,
				   const CORBA_char * lpszAdrType,
				   const CORBA_char * lpszAddress,
				   const BRUTUS_BDEFINE ulFlags,
				   BRUTUS_ENTRYID** lppEntryID,
				   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_NewEntry_)
#define _impl_BRUTUS_IAddrBook_NewEntry_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_NewEntry(impl_POA_BRUTUS_IAddrBook *servant,
			       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_ResolveName_)
#define _impl_BRUTUS_IAddrBook_ResolveName_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_ResolveName(impl_POA_BRUTUS_IAddrBook *servant,
				  const BRUTUS_BDEFINE ulFlags,
				  BRUTUS_ADRLIST* lpAdrList,
				  CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_Address_)
#define _impl_BRUTUS_IAddrBook_Address_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_Address(impl_POA_BRUTUS_IAddrBook *servant,
			      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_Details_)
#define _impl_BRUTUS_IAddrBook_Details_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_Details(impl_POA_BRUTUS_IAddrBook *servant,
			      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_RecipOptions_)
#define _impl_BRUTUS_IAddrBook_RecipOptions_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_RecipOptions(impl_POA_BRUTUS_IAddrBook *servant,
				   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_QueryDefaultRecipOpt_)
#define _impl_BRUTUS_IAddrBook_QueryDefaultRecipOpt_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_QueryDefaultRecipOpt(impl_POA_BRUTUS_IAddrBook *servant,
					   const CORBA_char * lpszAdrType,
					   const BRUTUS_BDEFINE ulFlags,
					   BRUTUS_seq_SPropValue** lppOptions,
					   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_GetPAB_)
#define _impl_BRUTUS_IAddrBook_GetPAB_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetPAB(impl_POA_BRUTUS_IAddrBook *servant,
			     BRUTUS_ENTRYID** lppEntryID,
			     CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_SetPAB_)
#define _impl_BRUTUS_IAddrBook_SetPAB_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_SetPAB(impl_POA_BRUTUS_IAddrBook *servant,
			     const BRUTUS_ENTRYID* lpEntryID,
			     CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_GetDefaultDir_)
#define _impl_BRUTUS_IAddrBook_GetDefaultDir_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetDefaultDir(impl_POA_BRUTUS_IAddrBook *servant,
				    BRUTUS_ENTRYID** lppEntryID,
				    CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_SetDefaultDir_)
#define _impl_BRUTUS_IAddrBook_SetDefaultDir_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_SetDefaultDir(impl_POA_BRUTUS_IAddrBook *servant,
				    const BRUTUS_ENTRYID* lpEntryID,
				    CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_GetSearchPath_)
#define _impl_BRUTUS_IAddrBook_GetSearchPath_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetSearchPath(impl_POA_BRUTUS_IAddrBook *servant,
				    const BRUTUS_BDEFINE ulFlags,
				    BRUTUS_SRowSet** lppSearchPath,
				    CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_SetSearchPath_)
#define _impl_BRUTUS_IAddrBook_SetSearchPath_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_SetSearchPath(impl_POA_BRUTUS_IAddrBook *servant,
				    const BRUTUS_BDEFINE ulFlags,
				    const BRUTUS_SRowSet* lpSearchPath,
				    CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_PrepareRecips_)
#define _impl_BRUTUS_IAddrBook_PrepareRecips_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_PrepareRecips(impl_POA_BRUTUS_IAddrBook *servant,
				    const BRUTUS_BDEFINE ulFlags,
				    const BRUTUS_SPropTagArray* lpPropTagArray,
				    const BRUTUS_ADRLIST* lpRecipList,
				    CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_GetLocalPointer_)
#define _impl_BRUTUS_IAddrBook_GetLocalPointer_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetLocalPointer(impl_POA_BRUTUS_IAddrBook *servant,
				      CORBA_unsigned_long_long* Pointer,
				      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_QueryInterface_)
#define _impl_BRUTUS_IAddrBook_QueryInterface_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_QueryInterface(impl_POA_BRUTUS_IAddrBook *servant,
				     const CORBA_char * iid,
				     BRUTUS_IUnknown* ppvObject,
				     CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_Destroy_)
#define _impl_BRUTUS_IAddrBook_Destroy_ 1
static void
impl_BRUTUS_IAddrBook_Destroy(impl_POA_BRUTUS_IAddrBook *servant,
			      CORBA_Environment *ev)
{
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_GetLastError_)
#define _impl_BRUTUS_IAddrBook_GetLastError_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetLastError(impl_POA_BRUTUS_IAddrBook *servant,
				   const BRUTUS_BRESULT ReturnCode,
				   const BRUTUS_BDEFINE ulFlags,
				   BRUTUS_MAPIERROR** lppMAPIError,
				   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_SaveChanges_)
#define _impl_BRUTUS_IAddrBook_SaveChanges_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_SaveChanges(impl_POA_BRUTUS_IAddrBook *servant,
				  const BRUTUS_BDEFINE ulFlags,
				  CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_GetProps_)
#define _impl_BRUTUS_IAddrBook_GetProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetProps(impl_POA_BRUTUS_IAddrBook *servant,
			       const BRUTUS_SPropTagArray* lpPropTagArray,
			       const BRUTUS_BDEFINE ulFlags,
			       BRUTUS_seq_SPropValue** lppPropArray,
			       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_GetPropList_)
#define _impl_BRUTUS_IAddrBook_GetPropList_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetPropList(impl_POA_BRUTUS_IAddrBook *servant,
				  const BRUTUS_BDEFINE ulFlags,
				  BRUTUS_SPropTagArray** lppPropTagArray,
				  CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_OpenProperty_)
#define _impl_BRUTUS_IAddrBook_OpenProperty_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_OpenProperty(impl_POA_BRUTUS_IAddrBook *servant,
				   const CORBA_unsigned_long ulPropTag,
				   const CORBA_char * lpiid,
				   const CORBA_unsigned_long ulInterfaceOptions,
				   const BRUTUS_BDEFINE ulFlags,
				   BRUTUS_IUnknown* lppUnk,
				   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_SetProps_)
#define _impl_BRUTUS_IAddrBook_SetProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_SetProps(impl_POA_BRUTUS_IAddrBook *servant,
			       const BRUTUS_seq_SPropValue* lpPropArray,
			       const CORBA_boolean ProblemInfo,
			       BRUTUS_SPropProblemArray** lppProblems,
			       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_DeleteProps_)
#define _impl_BRUTUS_IAddrBook_DeleteProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_DeleteProps(impl_POA_BRUTUS_IAddrBook *servant,
				  const BRUTUS_SPropTagArray* lpPropTagArray,
				  const CORBA_boolean ProblemInfo,
				  BRUTUS_SPropProblemArray** lppProblems,
				  CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_CopyTo_)
#define _impl_BRUTUS_IAddrBook_CopyTo_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_CopyTo(impl_POA_BRUTUS_IAddrBook *servant,
			     const BRUTUS_seq_GUID* rgiidExclude,
			     const BRUTUS_SPropTagArray* lpExcludeProps,
			     const BRUTUS_IMAPIProgress lpProgress,
			     const CORBA_char * lpInterface,
			     const BRUTUS_ENTRYID* lpDestObj,
			     const BRUTUS_BDEFINE ulFlags,
			     const CORBA_boolean ProblemInfo,
			     BRUTUS_SPropProblemArray** lppProblems,
			     CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_CopyProps_)
#define _impl_BRUTUS_IAddrBook_CopyProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_CopyProps(impl_POA_BRUTUS_IAddrBook *servant,
				const BRUTUS_SPropTagArray* lpIncludeProps,
				const BRUTUS_IMAPIProgress lpProgress,
				const CORBA_char * lpInterface,
				const BRUTUS_ENTRYID* lpDestObj,
				const BRUTUS_BDEFINE ulFlags,
				const CORBA_boolean ProblemInfo,
				BRUTUS_SPropProblemArray** lppProblems,
				CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_GetNamesFromIDs_)
#define _impl_BRUTUS_IAddrBook_GetNamesFromIDs_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetNamesFromIDs(impl_POA_BRUTUS_IAddrBook *servant,
				      BRUTUS_SPropTagArray* lppPropTags,
				      const CORBA_char * lpPropSetGuid,
				      const BRUTUS_BDEFINE ulFlags,
				      BRUTUS_seq_MAPINAMEID** lpppPropNames,
				      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IAddrBook_GetIDsFromNames_)
#define _impl_BRUTUS_IAddrBook_GetIDsFromNames_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IAddrBook_GetIDsFromNames(impl_POA_BRUTUS_IAddrBook *servant,
				      const BRUTUS_seq_MAPINAMEID* lppPropNames,
				      const BRUTUS_BDEFINE ulFlags,
				      BRUTUS_SPropTagArray** lppPropTags,
				      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

