/*
 *    Servant implementation file for a Brutus proxy daemon.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *    MA 02111-1307 USA
 */

/* This is a template file generated by command */
/* orbit-idl-2 --skeleton-impl IMAPITable.idl */
/* User must edit this file, inserting servant  */
/* specific code between markers. */

#include "IMAPITable.h"

/*** App-specific servant structures ***/

#if !defined(_typedef_impl_POA_BRUTUS_IMAPITable_)
#define _typedef_impl_POA_BRUTUS_IMAPITable_ 1
typedef struct {
	POA_BRUTUS_IMAPITable servant;
	PortableServer_POA poa;
	/* ------ add private attributes here ------ */
	/* ------ ---------- end ------------ ------ */
} impl_POA_BRUTUS_IMAPITable;
#endif


/*** Implementation stub prototypes ***/

#if !defined(_decl_impl_BRUTUS_IMAPITable__destroy_)
#define _decl_impl_BRUTUS_IMAPITable__destroy_ 1
static void impl_BRUTUS_IMAPITable__destroy(impl_POA_BRUTUS_IMAPITable *servant,
					    CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_GetLastError_)
#define _decl_impl_BRUTUS_IMAPITable_GetLastError_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_GetLastError(impl_POA_BRUTUS_IMAPITable *servant,
				    const BRUTUS_BRESULT ReturnCode,
				    const BRUTUS_BDEFINE ulFlags,
				    BRUTUS_MAPIERROR** lppMAPIError,
				    CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_Advise_)
#define _decl_impl_BRUTUS_IMAPITable_Advise_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_Advise(impl_POA_BRUTUS_IMAPITable *servant,
			      const BRUTUS_BDEFINE ulEventMask,
			      const BRUTUS_IMAPIAdviseSink lpAdviseSink,
			      CORBA_unsigned_long* lpulConnection,
			      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_Unadvise_)
#define _decl_impl_BRUTUS_IMAPITable_Unadvise_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_Unadvise(impl_POA_BRUTUS_IMAPITable *servant,
				const CORBA_unsigned_long ulConnection,
				CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_GetStatus_)
#define _decl_impl_BRUTUS_IMAPITable_GetStatus_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_GetStatus(impl_POA_BRUTUS_IMAPITable *servant,
				 CORBA_unsigned_long* lpulTableStatus,
				 CORBA_unsigned_long* lpulTableType,
				 CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_SetColumns_)
#define _decl_impl_BRUTUS_IMAPITable_SetColumns_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_SetColumns(impl_POA_BRUTUS_IMAPITable *servant,
				  const BRUTUS_SPropTagArray* lpPropTagArray,
				  const BRUTUS_BDEFINE ulFlags,
				  CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_QueryColumns_)
#define _decl_impl_BRUTUS_IMAPITable_QueryColumns_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_QueryColumns(impl_POA_BRUTUS_IMAPITable *servant,
				    const BRUTUS_BDEFINE ulFlags,
				    BRUTUS_SPropTagArray** lpPropTagArray,
				    CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_GetRowCount_)
#define _decl_impl_BRUTUS_IMAPITable_GetRowCount_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_GetRowCount(impl_POA_BRUTUS_IMAPITable *servant,
				   const BRUTUS_BDEFINE ulFlags,
				   CORBA_unsigned_long* lpulCount,
				   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_SeekRow_)
#define _decl_impl_BRUTUS_IMAPITable_SeekRow_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_SeekRow(impl_POA_BRUTUS_IMAPITable *servant,
			       const CORBA_unsigned_long bkOrigin,
			       const CORBA_long lRowCount,
			       CORBA_long* lplRowsSought,
			       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_SeekRowApprox_)
#define _decl_impl_BRUTUS_IMAPITable_SeekRowApprox_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_SeekRowApprox(impl_POA_BRUTUS_IMAPITable *servant,
				     const CORBA_unsigned_long ulNumerator,
				     const CORBA_unsigned_long ulDenominator,
				     CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_QueryPosition_)
#define _decl_impl_BRUTUS_IMAPITable_QueryPosition_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_QueryPosition(impl_POA_BRUTUS_IMAPITable *servant,
				     CORBA_unsigned_long* lpulRow,
				     CORBA_unsigned_long* lpulNumerator,
				     CORBA_unsigned_long* lpulDenominator,
				     CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_FindRow_)
#define _decl_impl_BRUTUS_IMAPITable_FindRow_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_FindRow(impl_POA_BRUTUS_IMAPITable *servant,
			       const BRUTUS_SRestrictionContainer lpRestriction,
			       const CORBA_unsigned_long bkOrigin,
			       const BRUTUS_BDEFINE ulFlags,
			       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_Restrict_)
#define _decl_impl_BRUTUS_IMAPITable_Restrict_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_Restrict(impl_POA_BRUTUS_IMAPITable *servant,
				const BRUTUS_SRestrictionContainer lpRestriction,
				const BRUTUS_BDEFINE ulFlags,
				CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_CreateBookmark_)
#define _decl_impl_BRUTUS_IMAPITable_CreateBookmark_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_CreateBookmark(impl_POA_BRUTUS_IMAPITable *servant,
				      CORBA_unsigned_long* lpbkPosition,
				      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_FreeBookmark_)
#define _decl_impl_BRUTUS_IMAPITable_FreeBookmark_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_FreeBookmark(impl_POA_BRUTUS_IMAPITable *servant,
				    const CORBA_unsigned_long bkPosition,
				    CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_SortTable_)
#define _decl_impl_BRUTUS_IMAPITable_SortTable_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_SortTable(impl_POA_BRUTUS_IMAPITable *servant,
				 const BRUTUS_SSortOrderSet* lpSortCriteria,
				 const BRUTUS_BDEFINE ulFlags,
				 CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_QuerySortOrder_)
#define _decl_impl_BRUTUS_IMAPITable_QuerySortOrder_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_QuerySortOrder(impl_POA_BRUTUS_IMAPITable *servant,
				      BRUTUS_SSortOrderSet** lppSortCriteria,
				      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_QueryRows_)
#define _decl_impl_BRUTUS_IMAPITable_QueryRows_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_QueryRows(impl_POA_BRUTUS_IMAPITable *servant,
				 const CORBA_long lRowCount,
				 const BRUTUS_BDEFINE ulFlags,
				 BRUTUS_SRowSet** lppRows,
				 CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_Abort_)
#define _decl_impl_BRUTUS_IMAPITable_Abort_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_Abort(impl_POA_BRUTUS_IMAPITable *servant,
			     CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_ExpandRow_)
#define _decl_impl_BRUTUS_IMAPITable_ExpandRow_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_ExpandRow(impl_POA_BRUTUS_IMAPITable *servant,
				 const BRUTUS_seq_octet* pbInstanceKey,
				 const CORBA_unsigned_long ulRowCount,
				 const BRUTUS_BDEFINE ulFlags,
				 BRUTUS_SRowSet** lppRows,
				 CORBA_unsigned_long* lpulMoreRows,
				 CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_CollapseRow_)
#define _decl_impl_BRUTUS_IMAPITable_CollapseRow_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_CollapseRow(impl_POA_BRUTUS_IMAPITable *servant,
				   const BRUTUS_seq_octet* pbInstanceKey,
				   const BRUTUS_BDEFINE ulFlags,
				   CORBA_unsigned_long* lpulRowCount,
				   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_WaitForCompletion_)
#define _decl_impl_BRUTUS_IMAPITable_WaitForCompletion_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_WaitForCompletion(impl_POA_BRUTUS_IMAPITable *servant,
					 const BRUTUS_BDEFINE ulFlags,
					 const CORBA_unsigned_long ulTimeout,
					 CORBA_unsigned_long* lpulTableStatus,
					 CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_GetCollapseState_)
#define _decl_impl_BRUTUS_IMAPITable_GetCollapseState_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_GetCollapseState(impl_POA_BRUTUS_IMAPITable *servant,
					const BRUTUS_BDEFINE ulFlags,
					const BRUTUS_seq_octet* lpbInstanceKey,
					BRUTUS_seq_octet** lppbCollapseState,
					CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_SetCollapseState_)
#define _decl_impl_BRUTUS_IMAPITable_SetCollapseState_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_SetCollapseState(impl_POA_BRUTUS_IMAPITable *servant,
					const BRUTUS_BDEFINE ulFlags,
					const BRUTUS_seq_octet* pbCollapseState,
					CORBA_unsigned_long* lpbkLocation,
					CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_GetLocalPointer_)
#define _decl_impl_BRUTUS_IMAPITable_GetLocalPointer_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_GetLocalPointer(impl_POA_BRUTUS_IMAPITable *servant,
				       CORBA_unsigned_long_long* Pointer,
				       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_QueryInterface_)
#define _decl_impl_BRUTUS_IMAPITable_QueryInterface_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_QueryInterface(impl_POA_BRUTUS_IMAPITable *servant,
				      const CORBA_char * iid,
				      BRUTUS_IUnknown* ppvObject,
				      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMAPITable_Destroy_)
#define _decl_impl_BRUTUS_IMAPITable_Destroy_ 1
static void
impl_BRUTUS_IMAPITable_Destroy(impl_POA_BRUTUS_IMAPITable *servant,
			       CORBA_Environment *ev);
#endif


/*** epv structures ***/

#if !defined(_impl_BRUTUS_IMAPITable_base_epv_)
#define _impl_BRUTUS_IMAPITable_base_epv_ 1
static PortableServer_ServantBase__epv impl_BRUTUS_IMAPITable_base_epv = {
	NULL,             /* _private data */
	(gpointer) & impl_BRUTUS_IMAPITable__destroy, /* finalize routine */
	NULL,             /* default_POA routine */
};
#endif

#if !defined(_impl_BRUTUS_IMAPITable_epv_)
#define _impl_BRUTUS_IMAPITable_epv_ 1
static POA_BRUTUS_IMAPITable__epv impl_BRUTUS_IMAPITable_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_IMAPITable_GetLastError,
	(gpointer)&impl_BRUTUS_IMAPITable_Advise,
	(gpointer)&impl_BRUTUS_IMAPITable_Unadvise,
	(gpointer)&impl_BRUTUS_IMAPITable_GetStatus,
	(gpointer)&impl_BRUTUS_IMAPITable_SetColumns,
	(gpointer)&impl_BRUTUS_IMAPITable_QueryColumns,
	(gpointer)&impl_BRUTUS_IMAPITable_GetRowCount,
	(gpointer)&impl_BRUTUS_IMAPITable_SeekRow,
	(gpointer)&impl_BRUTUS_IMAPITable_SeekRowApprox,
	(gpointer)&impl_BRUTUS_IMAPITable_QueryPosition,
	(gpointer)&impl_BRUTUS_IMAPITable_FindRow,
	(gpointer)&impl_BRUTUS_IMAPITable_Restrict,
	(gpointer)&impl_BRUTUS_IMAPITable_CreateBookmark,
	(gpointer)&impl_BRUTUS_IMAPITable_FreeBookmark,
	(gpointer)&impl_BRUTUS_IMAPITable_SortTable,
	(gpointer)&impl_BRUTUS_IMAPITable_QuerySortOrder,
	(gpointer)&impl_BRUTUS_IMAPITable_QueryRows,
	(gpointer)&impl_BRUTUS_IMAPITable_Abort,
	(gpointer)&impl_BRUTUS_IMAPITable_ExpandRow,
	(gpointer)&impl_BRUTUS_IMAPITable_CollapseRow,
	(gpointer)&impl_BRUTUS_IMAPITable_WaitForCompletion,
	(gpointer)&impl_BRUTUS_IMAPITable_GetCollapseState,
	(gpointer)&impl_BRUTUS_IMAPITable_SetCollapseState,
	(gpointer)&impl_BRUTUS_IMAPITable_GetLocalPointer,
};
#endif

#if !defined(_impl_BRUTUS_IMAPITable_BRUTUS_IUnknown_epv_)
#define _impl_BRUTUS_IMAPITable_BRUTUS_IUnknown_epv_ 1
static POA_BRUTUS_IUnknown__epv impl_BRUTUS_IMAPITable_BRUTUS_IUnknown_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_IMAPITable_QueryInterface,
	(gpointer)&impl_BRUTUS_IMAPITable_Destroy,
};
#endif

/*** vepv structures ***/

#if !defined(_impl_BRUTUS_IMAPITable_vepv_)
#define _impl_BRUTUS_IMAPITable_vepv_ 1
static POA_BRUTUS_IMAPITable__vepv impl_BRUTUS_IMAPITable_vepv = {
	&impl_BRUTUS_IMAPITable_base_epv,
	&impl_BRUTUS_IMAPITable_BRUTUS_IUnknown_epv,
	&impl_BRUTUS_IMAPITable_epv,
};
#endif


/*** Stub implementations ***/

#if !defined(_impl_BRUTUS_IMAPITable__create_)
#define _impl_BRUTUS_IMAPITable__create_ 1
static BRUTUS_IMAPITable impl_BRUTUS_IMAPITable__create(PortableServer_POA poa, CORBA_Environment *ev)
{
	BRUTUS_IMAPITable retval;
	impl_POA_BRUTUS_IMAPITable *newservant;
	PortableServer_ObjectId *objid;

	newservant = g_new0(impl_POA_BRUTUS_IMAPITable, 1);
	newservant->servant.vepv = &impl_BRUTUS_IMAPITable_vepv;
	newservant->poa = (PortableServer_POA) CORBA_Object_duplicate((CORBA_Object)poa, ev);
	POA_BRUTUS_IMAPITable__init((PortableServer_Servant)newservant, ev);
	/* Before servant is going to be activated all
	 * private attributes must be initialized.  */

	/* ------ init private attributes here ------ */
	/* ------ ---------- end ------------- ------ */

	objid = PortableServer_POA_activate_object(poa, newservant, ev);
	CORBA_free(objid);
	retval = PortableServer_POA_servant_to_reference(poa, newservant, ev);

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable__destroy_)
#define _impl_BRUTUS_IMAPITable__destroy_ 1
static void
impl_BRUTUS_IMAPITable__destroy(impl_POA_BRUTUS_IMAPITable *servant, CORBA_Environment *ev)
{
	CORBA_Object_release ((CORBA_Object) servant->poa, ev);

	/* No further remote method calls are delegated to 
	 * servant and you may free your private attributes. */
	/* ------ free private attributes here ------ */
	/* ------ ---------- end ------------- ------ */

	POA_BRUTUS_IMAPITable__fini((PortableServer_Servant)servant, ev);

	g_free (servant);
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_GetLastError_)
#define _impl_BRUTUS_IMAPITable_GetLastError_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_GetLastError(impl_POA_BRUTUS_IMAPITable *servant,
				    const BRUTUS_BRESULT ReturnCode,
				    const BRUTUS_BDEFINE ulFlags,
				    BRUTUS_MAPIERROR** lppMAPIError,
				    CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_Advise_)
#define _impl_BRUTUS_IMAPITable_Advise_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_Advise(impl_POA_BRUTUS_IMAPITable *servant,
			      const BRUTUS_BDEFINE ulEventMask,
			      const BRUTUS_IMAPIAdviseSink lpAdviseSink,
			      CORBA_unsigned_long* lpulConnection,
			      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_Unadvise_)
#define _impl_BRUTUS_IMAPITable_Unadvise_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_Unadvise(impl_POA_BRUTUS_IMAPITable *servant,
				const CORBA_unsigned_long ulConnection,
				CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_GetStatus_)
#define _impl_BRUTUS_IMAPITable_GetStatus_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_GetStatus(impl_POA_BRUTUS_IMAPITable *servant,
				 CORBA_unsigned_long* lpulTableStatus,
				 CORBA_unsigned_long* lpulTableType,
				 CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_SetColumns_)
#define _impl_BRUTUS_IMAPITable_SetColumns_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_SetColumns(impl_POA_BRUTUS_IMAPITable *servant,
				  const BRUTUS_SPropTagArray* lpPropTagArray,
				  const BRUTUS_BDEFINE ulFlags,
				  CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_QueryColumns_)
#define _impl_BRUTUS_IMAPITable_QueryColumns_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_QueryColumns(impl_POA_BRUTUS_IMAPITable *servant,
				    const BRUTUS_BDEFINE ulFlags,
				    BRUTUS_SPropTagArray** lpPropTagArray,
				    CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_GetRowCount_)
#define _impl_BRUTUS_IMAPITable_GetRowCount_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_GetRowCount(impl_POA_BRUTUS_IMAPITable *servant,
				   const BRUTUS_BDEFINE ulFlags,
				   CORBA_unsigned_long* lpulCount,
				   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_SeekRow_)
#define _impl_BRUTUS_IMAPITable_SeekRow_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_SeekRow(impl_POA_BRUTUS_IMAPITable *servant,
			       const CORBA_unsigned_long bkOrigin,
			       const CORBA_long lRowCount,
			       CORBA_long* lplRowsSought,
			       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_SeekRowApprox_)
#define _impl_BRUTUS_IMAPITable_SeekRowApprox_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_SeekRowApprox(impl_POA_BRUTUS_IMAPITable *servant,
				     const CORBA_unsigned_long ulNumerator,
				     const CORBA_unsigned_long ulDenominator,
				     CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_QueryPosition_)
#define _impl_BRUTUS_IMAPITable_QueryPosition_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_QueryPosition(impl_POA_BRUTUS_IMAPITable *servant,
				     CORBA_unsigned_long* lpulRow,
				     CORBA_unsigned_long* lpulNumerator,
				     CORBA_unsigned_long* lpulDenominator,
				     CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_FindRow_)
#define _impl_BRUTUS_IMAPITable_FindRow_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_FindRow(impl_POA_BRUTUS_IMAPITable *servant,
			       const BRUTUS_SRestrictionContainer lpRestriction,
			       const CORBA_unsigned_long bkOrigin,
			       const BRUTUS_BDEFINE ulFlags,
			       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_Restrict_)
#define _impl_BRUTUS_IMAPITable_Restrict_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_Restrict(impl_POA_BRUTUS_IMAPITable *servant,
				const BRUTUS_SRestrictionContainer lpRestriction,
				const BRUTUS_BDEFINE ulFlags,
				CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_CreateBookmark_)
#define _impl_BRUTUS_IMAPITable_CreateBookmark_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_CreateBookmark(impl_POA_BRUTUS_IMAPITable *servant,
				      CORBA_unsigned_long* lpbkPosition,
				      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_FreeBookmark_)
#define _impl_BRUTUS_IMAPITable_FreeBookmark_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_FreeBookmark(impl_POA_BRUTUS_IMAPITable *servant,
				    const CORBA_unsigned_long bkPosition,
				    CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_SortTable_)
#define _impl_BRUTUS_IMAPITable_SortTable_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_SortTable(impl_POA_BRUTUS_IMAPITable *servant,
				 const BRUTUS_SSortOrderSet* lpSortCriteria,
				 const BRUTUS_BDEFINE ulFlags,
				 CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_QuerySortOrder_)
#define _impl_BRUTUS_IMAPITable_QuerySortOrder_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_QuerySortOrder(impl_POA_BRUTUS_IMAPITable *servant,
				      BRUTUS_SSortOrderSet** lppSortCriteria,
				      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_QueryRows_)
#define _impl_BRUTUS_IMAPITable_QueryRows_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_QueryRows(impl_POA_BRUTUS_IMAPITable *servant,
				 const CORBA_long lRowCount,
				 const BRUTUS_BDEFINE ulFlags,
				 BRUTUS_SRowSet** lppRows,
				 CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_Abort_)
#define _impl_BRUTUS_IMAPITable_Abort_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_Abort(impl_POA_BRUTUS_IMAPITable *servant,
			     CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_ExpandRow_)
#define _impl_BRUTUS_IMAPITable_ExpandRow_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_ExpandRow(impl_POA_BRUTUS_IMAPITable *servant,
				 const BRUTUS_seq_octet* pbInstanceKey,
				 const CORBA_unsigned_long ulRowCount,
				 const BRUTUS_BDEFINE ulFlags,
				 BRUTUS_SRowSet** lppRows,
				 CORBA_unsigned_long* lpulMoreRows,
				 CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_CollapseRow_)
#define _impl_BRUTUS_IMAPITable_CollapseRow_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_CollapseRow(impl_POA_BRUTUS_IMAPITable *servant,
				   const BRUTUS_seq_octet* pbInstanceKey,
				   const BRUTUS_BDEFINE ulFlags,
				   CORBA_unsigned_long* lpulRowCount,
				   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_WaitForCompletion_)
#define _impl_BRUTUS_IMAPITable_WaitForCompletion_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_WaitForCompletion(impl_POA_BRUTUS_IMAPITable *servant,
					 const BRUTUS_BDEFINE ulFlags,
					 const CORBA_unsigned_long ulTimeout,
					 CORBA_unsigned_long* lpulTableStatus,
					 CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_GetCollapseState_)
#define _impl_BRUTUS_IMAPITable_GetCollapseState_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_GetCollapseState(impl_POA_BRUTUS_IMAPITable *servant,
					const BRUTUS_BDEFINE ulFlags,
					const BRUTUS_seq_octet* lpbInstanceKey,
					BRUTUS_seq_octet** lppbCollapseState,
					CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_SetCollapseState_)
#define _impl_BRUTUS_IMAPITable_SetCollapseState_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_SetCollapseState(impl_POA_BRUTUS_IMAPITable *servant,
					const BRUTUS_BDEFINE ulFlags,
					const BRUTUS_seq_octet* pbCollapseState,
					CORBA_unsigned_long* lpbkLocation,
					CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_GetLocalPointer_)
#define _impl_BRUTUS_IMAPITable_GetLocalPointer_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_GetLocalPointer(impl_POA_BRUTUS_IMAPITable *servant,
				       CORBA_unsigned_long_long* Pointer,
				       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_QueryInterface_)
#define _impl_BRUTUS_IMAPITable_QueryInterface_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMAPITable_QueryInterface(impl_POA_BRUTUS_IMAPITable *servant,
				      const CORBA_char * iid,
				      BRUTUS_IUnknown* ppvObject,
				      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMAPITable_Destroy_)
#define _impl_BRUTUS_IMAPITable_Destroy_ 1
static void
impl_BRUTUS_IMAPITable_Destroy(impl_POA_BRUTUS_IMAPITable *servant,
			       CORBA_Environment *ev)
{
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */
}
#endif

