/*
 *    Servant implementation file for a Brutus proxy daemon.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *    MA 02111-1307 USA
 */

/* This is a template file generated by command */
/* orbit-idl-2 --skeleton-impl IMSProvider.idl */
/* User must edit this file, inserting servant  */
/* specific code between markers. */

#include "IMSProvider.h"

/*** App-specific servant structures ***/

#if !defined(_typedef_impl_POA_BRUTUS_IMSProvider_)
#define _typedef_impl_POA_BRUTUS_IMSProvider_ 1
typedef struct {
	POA_BRUTUS_IMSProvider servant;
	PortableServer_POA poa;
	/* ------ add private attributes here ------ */
	/* ------ ---------- end ------------ ------ */
} impl_POA_BRUTUS_IMSProvider;
#endif


/*** Implementation stub prototypes ***/

#if !defined(_decl_impl_BRUTUS_IMSProvider__destroy_)
#define _decl_impl_BRUTUS_IMSProvider__destroy_ 1
static void impl_BRUTUS_IMSProvider__destroy(impl_POA_BRUTUS_IMSProvider *servant,
					     CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMSProvider_QueryInterface_)
#define _decl_impl_BRUTUS_IMSProvider_QueryInterface_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMSProvider_QueryInterface(impl_POA_BRUTUS_IMSProvider *servant,
				       const CORBA_char * iid,
				       BRUTUS_IUnknown* ppvObject,
				       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMSProvider_Destroy_)
#define _decl_impl_BRUTUS_IMSProvider_Destroy_ 1
static void
impl_BRUTUS_IMSProvider_Destroy(impl_POA_BRUTUS_IMSProvider *servant,
				CORBA_Environment *ev);
#endif


/*** epv structures ***/

#if !defined(_impl_BRUTUS_IMSProvider_base_epv_)
#define _impl_BRUTUS_IMSProvider_base_epv_ 1
static PortableServer_ServantBase__epv impl_BRUTUS_IMSProvider_base_epv = {
	NULL,             /* _private data */
	(gpointer) & impl_BRUTUS_IMSProvider__destroy, /* finalize routine */
	NULL,             /* default_POA routine */
};
#endif

#if !defined(_impl_BRUTUS_IMSProvider_epv_)
#define _impl_BRUTUS_IMSProvider_epv_ 1
static POA_BRUTUS_IMSProvider__epv impl_BRUTUS_IMSProvider_epv = {
	NULL, /* _private */
};
#endif

#if !defined(_impl_BRUTUS_IMSProvider_BRUTUS_IUnknown_epv_)
#define _impl_BRUTUS_IMSProvider_BRUTUS_IUnknown_epv_ 1
static POA_BRUTUS_IUnknown__epv impl_BRUTUS_IMSProvider_BRUTUS_IUnknown_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_IMSProvider_QueryInterface,
	(gpointer)&impl_BRUTUS_IMSProvider_Destroy,
};
#endif

/*** vepv structures ***/

#if !defined(_impl_BRUTUS_IMSProvider_vepv_)
#define _impl_BRUTUS_IMSProvider_vepv_ 1
static POA_BRUTUS_IMSProvider__vepv impl_BRUTUS_IMSProvider_vepv = {
	&impl_BRUTUS_IMSProvider_base_epv,
	&impl_BRUTUS_IMSProvider_BRUTUS_IUnknown_epv,
	&impl_BRUTUS_IMSProvider_epv,
};
#endif


/*** Stub implementations ***/

#if !defined(_impl_BRUTUS_IMSProvider__create_)
#define _impl_BRUTUS_IMSProvider__create_ 1
static BRUTUS_IMSProvider impl_BRUTUS_IMSProvider__create(PortableServer_POA poa, CORBA_Environment *ev)
{
	BRUTUS_IMSProvider retval;
	impl_POA_BRUTUS_IMSProvider *newservant;
	PortableServer_ObjectId *objid;

	newservant = g_new0(impl_POA_BRUTUS_IMSProvider, 1);
	newservant->servant.vepv = &impl_BRUTUS_IMSProvider_vepv;
	newservant->poa = (PortableServer_POA) CORBA_Object_duplicate((CORBA_Object)poa, ev);
	POA_BRUTUS_IMSProvider__init((PortableServer_Servant)newservant, ev);
	/* Before servant is going to be activated all
	 * private attributes must be initialized.  */

	/* ------ init private attributes here ------ */
	/* ------ ---------- end ------------- ------ */

	objid = PortableServer_POA_activate_object(poa, newservant, ev);
	CORBA_free(objid);
	retval = PortableServer_POA_servant_to_reference(poa, newservant, ev);

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMSProvider__destroy_)
#define _impl_BRUTUS_IMSProvider__destroy_ 1
static void
impl_BRUTUS_IMSProvider__destroy(impl_POA_BRUTUS_IMSProvider *servant, CORBA_Environment *ev)
{
	CORBA_Object_release ((CORBA_Object) servant->poa, ev);

	/* No further remote method calls are delegated to 
	 * servant and you may free your private attributes. */
	/* ------ free private attributes here ------ */
	/* ------ ---------- end ------------- ------ */

	POA_BRUTUS_IMSProvider__fini((PortableServer_Servant)servant, ev);

	g_free (servant);
}
#endif

#if !defined(_impl_BRUTUS_IMSProvider_QueryInterface_)
#define _impl_BRUTUS_IMSProvider_QueryInterface_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMSProvider_QueryInterface(impl_POA_BRUTUS_IMSProvider *servant,
				       const CORBA_char * iid,
				       BRUTUS_IUnknown* ppvObject,
				       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMSProvider_Destroy_)
#define _impl_BRUTUS_IMSProvider_Destroy_ 1
static void
impl_BRUTUS_IMSProvider_Destroy(impl_POA_BRUTUS_IMSProvider *servant,
				CORBA_Environment *ev)
{
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */
}
#endif

