/*
 *    Servant implementation file for a Brutus proxy daemon.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *    MA 02111-1307 USA
 */

/* This is a template file generated by command */
/* orbit-idl-2 --skeleton-impl IMsgStore.idl */
/* User must edit this file, inserting servant  */
/* specific code between markers. */

#include "IMsgStore.h"

/*** App-specific servant structures ***/

#if !defined(_typedef_impl_POA_BRUTUS_IMsgStore_)
#define _typedef_impl_POA_BRUTUS_IMsgStore_ 1
typedef struct {
	POA_BRUTUS_IMsgStore servant;
	PortableServer_POA poa;
	/* ------ add private attributes here ------ */
	/* ------ ---------- end ------------ ------ */
} impl_POA_BRUTUS_IMsgStore;
#endif


/*** Implementation stub prototypes ***/

#if !defined(_decl_impl_BRUTUS_IMsgStore__destroy_)
#define _decl_impl_BRUTUS_IMsgStore__destroy_ 1
static void impl_BRUTUS_IMsgStore__destroy(impl_POA_BRUTUS_IMsgStore *servant,
					   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_Advise_)
#define _decl_impl_BRUTUS_IMsgStore_Advise_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_Advise(impl_POA_BRUTUS_IMsgStore *servant,
			     const BRUTUS_ENTRYID* lpEntryID,
			     const BRUTUS_BDEFINE ulEventMask,
			     const BRUTUS_IMAPIAdviseSink lpAdviseSink,
			     CORBA_unsigned_long* lpulConnection,
			     CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_Unadvise_)
#define _decl_impl_BRUTUS_IMsgStore_Unadvise_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_Unadvise(impl_POA_BRUTUS_IMsgStore *servant,
			       const CORBA_unsigned_long ulConnection,
			       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_CompareEntryIDs_)
#define _decl_impl_BRUTUS_IMsgStore_CompareEntryIDs_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_CompareEntryIDs(impl_POA_BRUTUS_IMsgStore *servant,
				      const BRUTUS_ENTRYID* lpEntryID1,
				      const BRUTUS_ENTRYID* lpEntryID2,
				      const BRUTUS_BDEFINE ulFlags,
				      CORBA_boolean* lpulResult,
				      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_OpenEntry_)
#define _decl_impl_BRUTUS_IMsgStore_OpenEntry_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_OpenEntry(impl_POA_BRUTUS_IMsgStore *servant,
				const BRUTUS_ENTRYID* lpEntryID,
				const CORBA_char * lpInterface,
				const BRUTUS_BDEFINE ulFlags,
				BRUTUS_BDEFINE* lpulObjType,
				BRUTUS_IUnknown* lppUnk,
				CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_SetReceiveFolder_)
#define _decl_impl_BRUTUS_IMsgStore_SetReceiveFolder_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_SetReceiveFolder(impl_POA_BRUTUS_IMsgStore *servant,
				       const CORBA_char * lpszMessageClass,
				       const BRUTUS_BDEFINE ulFlags,
				       const BRUTUS_ENTRYID* lpEntryID,
				       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_GetReceiveFolder_)
#define _decl_impl_BRUTUS_IMsgStore_GetReceiveFolder_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetReceiveFolder(impl_POA_BRUTUS_IMsgStore *servant,
				       const CORBA_char * lpszMessageClass,
				       const BRUTUS_BDEFINE ulFlags,
				       BRUTUS_ENTRYID** lppEntryID,
				       CORBA_string* lppszExplicitClass,
				       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_GetReceiveFolderTable_)
#define _decl_impl_BRUTUS_IMsgStore_GetReceiveFolderTable_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetReceiveFolderTable(impl_POA_BRUTUS_IMsgStore *servant,
					    const BRUTUS_BDEFINE ulFlags,
					    BRUTUS_IMAPITable* lppTable,
					    CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_StoreLogoff_)
#define _decl_impl_BRUTUS_IMsgStore_StoreLogoff_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_StoreLogoff(impl_POA_BRUTUS_IMsgStore *servant,
				  BRUTUS_BDEFINE* lpulFlags,
				  CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_AbortSubmit_)
#define _decl_impl_BRUTUS_IMsgStore_AbortSubmit_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_AbortSubmit(impl_POA_BRUTUS_IMsgStore *servant,
				  const BRUTUS_ENTRYID* lpEntryID,
				  const BRUTUS_BDEFINE ulFlags,
				  CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_GetOutgoingQueue_)
#define _decl_impl_BRUTUS_IMsgStore_GetOutgoingQueue_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetOutgoingQueue(impl_POA_BRUTUS_IMsgStore *servant,
				       const BRUTUS_BDEFINE ulFlags,
				       BRUTUS_IMAPITable* lppTable,
				       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_SetLockState_)
#define _decl_impl_BRUTUS_IMsgStore_SetLockState_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_SetLockState(impl_POA_BRUTUS_IMsgStore *servant,
				   const BRUTUS_ENTRYID* Message,
				   const CORBA_unsigned_long ulLockState,
				   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_FinishedMsg_)
#define _decl_impl_BRUTUS_IMsgStore_FinishedMsg_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_FinishedMsg(impl_POA_BRUTUS_IMsgStore *servant,
				  const BRUTUS_BDEFINE ulFlags,
				  const BRUTUS_ENTRYID* lpEntryID,
				  CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_NotifyNewMail_)
#define _decl_impl_BRUTUS_IMsgStore_NotifyNewMail_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_NotifyNewMail(impl_POA_BRUTUS_IMsgStore *servant,
				    CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_GetIExchangeManageStore_)
#define _decl_impl_BRUTUS_IMsgStore_GetIExchangeManageStore_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetIExchangeManageStore(impl_POA_BRUTUS_IMsgStore *servant,
					      BRUTUS_IExchangeManageStore* MngStore,
					      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_GetLocalPointer_)
#define _decl_impl_BRUTUS_IMsgStore_GetLocalPointer_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetLocalPointer(impl_POA_BRUTUS_IMsgStore *servant,
				      CORBA_unsigned_long_long* Pointer,
				      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_QueryInterface_)
#define _decl_impl_BRUTUS_IMsgStore_QueryInterface_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_QueryInterface(impl_POA_BRUTUS_IMsgStore *servant,
				     const CORBA_char * iid,
				     BRUTUS_IUnknown* ppvObject,
				     CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_Destroy_)
#define _decl_impl_BRUTUS_IMsgStore_Destroy_ 1
static void
impl_BRUTUS_IMsgStore_Destroy(impl_POA_BRUTUS_IMsgStore *servant,
			      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_GetLastError_)
#define _decl_impl_BRUTUS_IMsgStore_GetLastError_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetLastError(impl_POA_BRUTUS_IMsgStore *servant,
				   const BRUTUS_BRESULT ReturnCode,
				   const BRUTUS_BDEFINE ulFlags,
				   BRUTUS_MAPIERROR** lppMAPIError,
				   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_SaveChanges_)
#define _decl_impl_BRUTUS_IMsgStore_SaveChanges_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_SaveChanges(impl_POA_BRUTUS_IMsgStore *servant,
				  const BRUTUS_BDEFINE ulFlags,
				  CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_GetProps_)
#define _decl_impl_BRUTUS_IMsgStore_GetProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetProps(impl_POA_BRUTUS_IMsgStore *servant,
			       const BRUTUS_SPropTagArray* lpPropTagArray,
			       const BRUTUS_BDEFINE ulFlags,
			       BRUTUS_seq_SPropValue** lppPropArray,
			       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_GetPropList_)
#define _decl_impl_BRUTUS_IMsgStore_GetPropList_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetPropList(impl_POA_BRUTUS_IMsgStore *servant,
				  const BRUTUS_BDEFINE ulFlags,
				  BRUTUS_SPropTagArray** lppPropTagArray,
				  CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_OpenProperty_)
#define _decl_impl_BRUTUS_IMsgStore_OpenProperty_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_OpenProperty(impl_POA_BRUTUS_IMsgStore *servant,
				   const CORBA_unsigned_long ulPropTag,
				   const CORBA_char * lpiid,
				   const CORBA_unsigned_long ulInterfaceOptions,
				   const BRUTUS_BDEFINE ulFlags,
				   BRUTUS_IUnknown* lppUnk,
				   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_SetProps_)
#define _decl_impl_BRUTUS_IMsgStore_SetProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_SetProps(impl_POA_BRUTUS_IMsgStore *servant,
			       const BRUTUS_seq_SPropValue* lpPropArray,
			       const CORBA_boolean ProblemInfo,
			       BRUTUS_SPropProblemArray** lppProblems,
			       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_DeleteProps_)
#define _decl_impl_BRUTUS_IMsgStore_DeleteProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_DeleteProps(impl_POA_BRUTUS_IMsgStore *servant,
				  const BRUTUS_SPropTagArray* lpPropTagArray,
				  const CORBA_boolean ProblemInfo,
				  BRUTUS_SPropProblemArray** lppProblems,
				  CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_CopyTo_)
#define _decl_impl_BRUTUS_IMsgStore_CopyTo_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_CopyTo(impl_POA_BRUTUS_IMsgStore *servant,
			     const BRUTUS_seq_GUID* rgiidExclude,
			     const BRUTUS_SPropTagArray* lpExcludeProps,
			     const BRUTUS_IMAPIProgress lpProgress,
			     const CORBA_char * lpInterface,
			     const BRUTUS_ENTRYID* lpDestObj,
			     const BRUTUS_BDEFINE ulFlags,
			     const CORBA_boolean ProblemInfo,
			     BRUTUS_SPropProblemArray** lppProblems,
			     CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_CopyProps_)
#define _decl_impl_BRUTUS_IMsgStore_CopyProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_CopyProps(impl_POA_BRUTUS_IMsgStore *servant,
				const BRUTUS_SPropTagArray* lpIncludeProps,
				const BRUTUS_IMAPIProgress lpProgress,
				const CORBA_char * lpInterface,
				const BRUTUS_ENTRYID* lpDestObj,
				const BRUTUS_BDEFINE ulFlags,
				const CORBA_boolean ProblemInfo,
				BRUTUS_SPropProblemArray** lppProblems,
				CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_GetNamesFromIDs_)
#define _decl_impl_BRUTUS_IMsgStore_GetNamesFromIDs_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetNamesFromIDs(impl_POA_BRUTUS_IMsgStore *servant,
				      BRUTUS_SPropTagArray* lppPropTags,
				      const CORBA_char * lpPropSetGuid,
				      const BRUTUS_BDEFINE ulFlags,
				      BRUTUS_seq_MAPINAMEID** lpppPropNames,
				      CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IMsgStore_GetIDsFromNames_)
#define _decl_impl_BRUTUS_IMsgStore_GetIDsFromNames_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetIDsFromNames(impl_POA_BRUTUS_IMsgStore *servant,
				      const BRUTUS_seq_MAPINAMEID* lppPropNames,
				      const BRUTUS_BDEFINE ulFlags,
				      BRUTUS_SPropTagArray** lppPropTags,
				      CORBA_Environment *ev);
#endif


/*** epv structures ***/

#if !defined(_impl_BRUTUS_IMsgStore_base_epv_)
#define _impl_BRUTUS_IMsgStore_base_epv_ 1
static PortableServer_ServantBase__epv impl_BRUTUS_IMsgStore_base_epv = {
	NULL,             /* _private data */
	(gpointer) & impl_BRUTUS_IMsgStore__destroy, /* finalize routine */
	NULL,             /* default_POA routine */
};
#endif

#if !defined(_impl_BRUTUS_IMsgStore_epv_)
#define _impl_BRUTUS_IMsgStore_epv_ 1
static POA_BRUTUS_IMsgStore__epv impl_BRUTUS_IMsgStore_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_IMsgStore_Advise,
	(gpointer)&impl_BRUTUS_IMsgStore_Unadvise,
	(gpointer)&impl_BRUTUS_IMsgStore_CompareEntryIDs,
	(gpointer)&impl_BRUTUS_IMsgStore_OpenEntry,
	(gpointer)&impl_BRUTUS_IMsgStore_SetReceiveFolder,
	(gpointer)&impl_BRUTUS_IMsgStore_GetReceiveFolder,
	(gpointer)&impl_BRUTUS_IMsgStore_GetReceiveFolderTable,
	(gpointer)&impl_BRUTUS_IMsgStore_StoreLogoff,
	(gpointer)&impl_BRUTUS_IMsgStore_AbortSubmit,
	(gpointer)&impl_BRUTUS_IMsgStore_GetOutgoingQueue,
	(gpointer)&impl_BRUTUS_IMsgStore_SetLockState,
	(gpointer)&impl_BRUTUS_IMsgStore_FinishedMsg,
	(gpointer)&impl_BRUTUS_IMsgStore_NotifyNewMail,
	(gpointer)&impl_BRUTUS_IMsgStore_GetIExchangeManageStore,
	(gpointer)&impl_BRUTUS_IMsgStore_GetLocalPointer,
};
#endif

#if !defined(_impl_BRUTUS_IMsgStore_BRUTUS_IUnknown_epv_)
#define _impl_BRUTUS_IMsgStore_BRUTUS_IUnknown_epv_ 1
static POA_BRUTUS_IUnknown__epv impl_BRUTUS_IMsgStore_BRUTUS_IUnknown_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_IMsgStore_QueryInterface,
	(gpointer)&impl_BRUTUS_IMsgStore_Destroy,
};
#endif
#if !defined(_impl_BRUTUS_IMsgStore_BRUTUS_IMAPIProp_epv_)
#define _impl_BRUTUS_IMsgStore_BRUTUS_IMAPIProp_epv_ 1
static POA_BRUTUS_IMAPIProp__epv impl_BRUTUS_IMsgStore_BRUTUS_IMAPIProp_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_IMsgStore_GetLastError,
	(gpointer)&impl_BRUTUS_IMsgStore_SaveChanges,
	(gpointer)&impl_BRUTUS_IMsgStore_GetProps,
	(gpointer)&impl_BRUTUS_IMsgStore_GetPropList,
	(gpointer)&impl_BRUTUS_IMsgStore_OpenProperty,
	(gpointer)&impl_BRUTUS_IMsgStore_SetProps,
	(gpointer)&impl_BRUTUS_IMsgStore_DeleteProps,
	(gpointer)&impl_BRUTUS_IMsgStore_CopyTo,
	(gpointer)&impl_BRUTUS_IMsgStore_CopyProps,
	(gpointer)&impl_BRUTUS_IMsgStore_GetNamesFromIDs,
	(gpointer)&impl_BRUTUS_IMsgStore_GetIDsFromNames,
};
#endif

/*** vepv structures ***/

#if !defined(_impl_BRUTUS_IMsgStore_vepv_)
#define _impl_BRUTUS_IMsgStore_vepv_ 1
static POA_BRUTUS_IMsgStore__vepv impl_BRUTUS_IMsgStore_vepv = {
	&impl_BRUTUS_IMsgStore_base_epv,
	&impl_BRUTUS_IMsgStore_BRUTUS_IUnknown_epv,
	&impl_BRUTUS_IMsgStore_BRUTUS_IMAPIProp_epv,
	&impl_BRUTUS_IMsgStore_epv,
};
#endif


/*** Stub implementations ***/

#if !defined(_impl_BRUTUS_IMsgStore__create_)
#define _impl_BRUTUS_IMsgStore__create_ 1
static BRUTUS_IMsgStore impl_BRUTUS_IMsgStore__create(PortableServer_POA poa, CORBA_Environment *ev)
{
	BRUTUS_IMsgStore retval;
	impl_POA_BRUTUS_IMsgStore *newservant;
	PortableServer_ObjectId *objid;

	newservant = g_new0(impl_POA_BRUTUS_IMsgStore, 1);
	newservant->servant.vepv = &impl_BRUTUS_IMsgStore_vepv;
	newservant->poa = (PortableServer_POA) CORBA_Object_duplicate((CORBA_Object)poa, ev);
	POA_BRUTUS_IMsgStore__init((PortableServer_Servant)newservant, ev);
	/* Before servant is going to be activated all
	 * private attributes must be initialized.  */

	/* ------ init private attributes here ------ */
	/* ------ ---------- end ------------- ------ */

	objid = PortableServer_POA_activate_object(poa, newservant, ev);
	CORBA_free(objid);
	retval = PortableServer_POA_servant_to_reference(poa, newservant, ev);

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore__destroy_)
#define _impl_BRUTUS_IMsgStore__destroy_ 1
static void
impl_BRUTUS_IMsgStore__destroy(impl_POA_BRUTUS_IMsgStore *servant, CORBA_Environment *ev)
{
	CORBA_Object_release ((CORBA_Object) servant->poa, ev);

	/* No further remote method calls are delegated to 
	 * servant and you may free your private attributes. */
	/* ------ free private attributes here ------ */
	/* ------ ---------- end ------------- ------ */

	POA_BRUTUS_IMsgStore__fini((PortableServer_Servant)servant, ev);

	g_free (servant);
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_Advise_)
#define _impl_BRUTUS_IMsgStore_Advise_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_Advise(impl_POA_BRUTUS_IMsgStore *servant,
			     const BRUTUS_ENTRYID* lpEntryID,
			     const BRUTUS_BDEFINE ulEventMask,
			     const BRUTUS_IMAPIAdviseSink lpAdviseSink,
			     CORBA_unsigned_long* lpulConnection,
			     CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_Unadvise_)
#define _impl_BRUTUS_IMsgStore_Unadvise_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_Unadvise(impl_POA_BRUTUS_IMsgStore *servant,
			       const CORBA_unsigned_long ulConnection,
			       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_CompareEntryIDs_)
#define _impl_BRUTUS_IMsgStore_CompareEntryIDs_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_CompareEntryIDs(impl_POA_BRUTUS_IMsgStore *servant,
				      const BRUTUS_ENTRYID* lpEntryID1,
				      const BRUTUS_ENTRYID* lpEntryID2,
				      const BRUTUS_BDEFINE ulFlags,
				      CORBA_boolean* lpulResult,
				      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_OpenEntry_)
#define _impl_BRUTUS_IMsgStore_OpenEntry_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_OpenEntry(impl_POA_BRUTUS_IMsgStore *servant,
				const BRUTUS_ENTRYID* lpEntryID,
				const CORBA_char * lpInterface,
				const BRUTUS_BDEFINE ulFlags,
				BRUTUS_BDEFINE* lpulObjType,
				BRUTUS_IUnknown* lppUnk,
				CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_SetReceiveFolder_)
#define _impl_BRUTUS_IMsgStore_SetReceiveFolder_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_SetReceiveFolder(impl_POA_BRUTUS_IMsgStore *servant,
				       const CORBA_char * lpszMessageClass,
				       const BRUTUS_BDEFINE ulFlags,
				       const BRUTUS_ENTRYID* lpEntryID,
				       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_GetReceiveFolder_)
#define _impl_BRUTUS_IMsgStore_GetReceiveFolder_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetReceiveFolder(impl_POA_BRUTUS_IMsgStore *servant,
				       const CORBA_char * lpszMessageClass,
				       const BRUTUS_BDEFINE ulFlags,
				       BRUTUS_ENTRYID** lppEntryID,
				       CORBA_string* lppszExplicitClass,
				       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_GetReceiveFolderTable_)
#define _impl_BRUTUS_IMsgStore_GetReceiveFolderTable_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetReceiveFolderTable(impl_POA_BRUTUS_IMsgStore *servant,
					    const BRUTUS_BDEFINE ulFlags,
					    BRUTUS_IMAPITable* lppTable,
					    CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_StoreLogoff_)
#define _impl_BRUTUS_IMsgStore_StoreLogoff_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_StoreLogoff(impl_POA_BRUTUS_IMsgStore *servant,
				  BRUTUS_BDEFINE* lpulFlags,
				  CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_AbortSubmit_)
#define _impl_BRUTUS_IMsgStore_AbortSubmit_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_AbortSubmit(impl_POA_BRUTUS_IMsgStore *servant,
				  const BRUTUS_ENTRYID* lpEntryID,
				  const BRUTUS_BDEFINE ulFlags,
				  CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_GetOutgoingQueue_)
#define _impl_BRUTUS_IMsgStore_GetOutgoingQueue_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetOutgoingQueue(impl_POA_BRUTUS_IMsgStore *servant,
				       const BRUTUS_BDEFINE ulFlags,
				       BRUTUS_IMAPITable* lppTable,
				       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_SetLockState_)
#define _impl_BRUTUS_IMsgStore_SetLockState_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_SetLockState(impl_POA_BRUTUS_IMsgStore *servant,
				   const BRUTUS_ENTRYID* Message,
				   const CORBA_unsigned_long ulLockState,
				   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_FinishedMsg_)
#define _impl_BRUTUS_IMsgStore_FinishedMsg_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_FinishedMsg(impl_POA_BRUTUS_IMsgStore *servant,
				  const BRUTUS_BDEFINE ulFlags,
				  const BRUTUS_ENTRYID* lpEntryID,
				  CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_NotifyNewMail_)
#define _impl_BRUTUS_IMsgStore_NotifyNewMail_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_NotifyNewMail(impl_POA_BRUTUS_IMsgStore *servant,
				    CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_GetIExchangeManageStore_)
#define _impl_BRUTUS_IMsgStore_GetIExchangeManageStore_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetIExchangeManageStore(impl_POA_BRUTUS_IMsgStore *servant,
					      BRUTUS_IExchangeManageStore* MngStore,
					      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_GetLocalPointer_)
#define _impl_BRUTUS_IMsgStore_GetLocalPointer_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetLocalPointer(impl_POA_BRUTUS_IMsgStore *servant,
				      CORBA_unsigned_long_long* Pointer,
				      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_QueryInterface_)
#define _impl_BRUTUS_IMsgStore_QueryInterface_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_QueryInterface(impl_POA_BRUTUS_IMsgStore *servant,
				     const CORBA_char * iid,
				     BRUTUS_IUnknown* ppvObject,
				     CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_Destroy_)
#define _impl_BRUTUS_IMsgStore_Destroy_ 1
static void
impl_BRUTUS_IMsgStore_Destroy(impl_POA_BRUTUS_IMsgStore *servant,
			      CORBA_Environment *ev)
{
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_GetLastError_)
#define _impl_BRUTUS_IMsgStore_GetLastError_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetLastError(impl_POA_BRUTUS_IMsgStore *servant,
				   const BRUTUS_BRESULT ReturnCode,
				   const BRUTUS_BDEFINE ulFlags,
				   BRUTUS_MAPIERROR** lppMAPIError,
				   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_SaveChanges_)
#define _impl_BRUTUS_IMsgStore_SaveChanges_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_SaveChanges(impl_POA_BRUTUS_IMsgStore *servant,
				  const BRUTUS_BDEFINE ulFlags,
				  CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_GetProps_)
#define _impl_BRUTUS_IMsgStore_GetProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetProps(impl_POA_BRUTUS_IMsgStore *servant,
			       const BRUTUS_SPropTagArray* lpPropTagArray,
			       const BRUTUS_BDEFINE ulFlags,
			       BRUTUS_seq_SPropValue** lppPropArray,
			       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_GetPropList_)
#define _impl_BRUTUS_IMsgStore_GetPropList_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetPropList(impl_POA_BRUTUS_IMsgStore *servant,
				  const BRUTUS_BDEFINE ulFlags,
				  BRUTUS_SPropTagArray** lppPropTagArray,
				  CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_OpenProperty_)
#define _impl_BRUTUS_IMsgStore_OpenProperty_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_OpenProperty(impl_POA_BRUTUS_IMsgStore *servant,
				   const CORBA_unsigned_long ulPropTag,
				   const CORBA_char * lpiid,
				   const CORBA_unsigned_long ulInterfaceOptions,
				   const BRUTUS_BDEFINE ulFlags,
				   BRUTUS_IUnknown* lppUnk,
				   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_SetProps_)
#define _impl_BRUTUS_IMsgStore_SetProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_SetProps(impl_POA_BRUTUS_IMsgStore *servant,
			       const BRUTUS_seq_SPropValue* lpPropArray,
			       const CORBA_boolean ProblemInfo,
			       BRUTUS_SPropProblemArray** lppProblems,
			       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_DeleteProps_)
#define _impl_BRUTUS_IMsgStore_DeleteProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_DeleteProps(impl_POA_BRUTUS_IMsgStore *servant,
				  const BRUTUS_SPropTagArray* lpPropTagArray,
				  const CORBA_boolean ProblemInfo,
				  BRUTUS_SPropProblemArray** lppProblems,
				  CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_CopyTo_)
#define _impl_BRUTUS_IMsgStore_CopyTo_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_CopyTo(impl_POA_BRUTUS_IMsgStore *servant,
			     const BRUTUS_seq_GUID* rgiidExclude,
			     const BRUTUS_SPropTagArray* lpExcludeProps,
			     const BRUTUS_IMAPIProgress lpProgress,
			     const CORBA_char * lpInterface,
			     const BRUTUS_ENTRYID* lpDestObj,
			     const BRUTUS_BDEFINE ulFlags,
			     const CORBA_boolean ProblemInfo,
			     BRUTUS_SPropProblemArray** lppProblems,
			     CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_CopyProps_)
#define _impl_BRUTUS_IMsgStore_CopyProps_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_CopyProps(impl_POA_BRUTUS_IMsgStore *servant,
				const BRUTUS_SPropTagArray* lpIncludeProps,
				const BRUTUS_IMAPIProgress lpProgress,
				const CORBA_char * lpInterface,
				const BRUTUS_ENTRYID* lpDestObj,
				const BRUTUS_BDEFINE ulFlags,
				const CORBA_boolean ProblemInfo,
				BRUTUS_SPropProblemArray** lppProblems,
				CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_GetNamesFromIDs_)
#define _impl_BRUTUS_IMsgStore_GetNamesFromIDs_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetNamesFromIDs(impl_POA_BRUTUS_IMsgStore *servant,
				      BRUTUS_SPropTagArray* lppPropTags,
				      const CORBA_char * lpPropSetGuid,
				      const BRUTUS_BDEFINE ulFlags,
				      BRUTUS_seq_MAPINAMEID** lpppPropNames,
				      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IMsgStore_GetIDsFromNames_)
#define _impl_BRUTUS_IMsgStore_GetIDsFromNames_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IMsgStore_GetIDsFromNames(impl_POA_BRUTUS_IMsgStore *servant,
				      const BRUTUS_seq_MAPINAMEID* lppPropNames,
				      const BRUTUS_BDEFINE ulFlags,
				      BRUTUS_SPropTagArray** lppPropTags,
				      CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

