/*
 *    Servant implementation file for a Brutus proxy daemon.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *    MA 02111-1307 USA
 */

/* This is a template file generated by command */
/* orbit-idl-2 --skeleton-impl IStream.idl */
/* User must edit this file, inserting servant  */
/* specific code between markers. */

#include "IStream.h"

/*** App-specific servant structures ***/

#if !defined(_typedef_impl_POA_BRUTUS_IStream_)
#define _typedef_impl_POA_BRUTUS_IStream_ 1
typedef struct {
	POA_BRUTUS_IStream servant;
	PortableServer_POA poa;
	/* ------ add private attributes here ------ */
	/* ------ ---------- end ------------ ------ */
} impl_POA_BRUTUS_IStream;
#endif


/*** Implementation stub prototypes ***/

#if !defined(_decl_impl_BRUTUS_IStream__destroy_)
#define _decl_impl_BRUTUS_IStream__destroy_ 1
static void impl_BRUTUS_IStream__destroy(impl_POA_BRUTUS_IStream *servant,
					 CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IStream_Clone_)
#define _decl_impl_BRUTUS_IStream_Clone_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Clone(impl_POA_BRUTUS_IStream *servant,
			  BRUTUS_IStream* ppstm,
			  CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IStream_Commit_)
#define _decl_impl_BRUTUS_IStream_Commit_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Commit(impl_POA_BRUTUS_IStream *servant,
			   const BRUTUS_BDEFINE grfCommitFlags,
			   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IStream_CopyTo_)
#define _decl_impl_BRUTUS_IStream_CopyTo_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_CopyTo(impl_POA_BRUTUS_IStream *servant,
			   const BRUTUS_IStream pstm,
			   const CORBA_unsigned_long_long cb,
			   CORBA_unsigned_long_long* pcbRead,
			   CORBA_unsigned_long_long* pcbWritten,
			   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IStream_LockRegion_)
#define _decl_impl_BRUTUS_IStream_LockRegion_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_LockRegion(impl_POA_BRUTUS_IStream *servant,
			       const CORBA_unsigned_long_long libOffset,
			       const CORBA_unsigned_long_long cb,
			       const BRUTUS_BDEFINE dwLockType,
			       CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IStream_Revert_)
#define _decl_impl_BRUTUS_IStream_Revert_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Revert(impl_POA_BRUTUS_IStream *servant,
			   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IStream_Seek_)
#define _decl_impl_BRUTUS_IStream_Seek_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Seek(impl_POA_BRUTUS_IStream *servant,
			 const CORBA_long_long dlibMove,
			 const BRUTUS_STREAM_SEEK dwOrigin,
			 CORBA_unsigned_long_long* plibNewPosition,
			 CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IStream_SetSize_)
#define _decl_impl_BRUTUS_IStream_SetSize_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_SetSize(impl_POA_BRUTUS_IStream *servant,
			    const CORBA_unsigned_long_long libNewSize,
			    CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IStream_Stat_)
#define _decl_impl_BRUTUS_IStream_Stat_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Stat(impl_POA_BRUTUS_IStream *servant,
			 BRUTUS_STATSTG** pstatstg,
			 const BRUTUS_STATFLAG grfStatFlag,
			 CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IStream_UnlockRegion_)
#define _decl_impl_BRUTUS_IStream_UnlockRegion_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_UnlockRegion(impl_POA_BRUTUS_IStream *servant,
				 const CORBA_unsigned_long_long libOffset,
				 const CORBA_unsigned_long_long cb,
				 const BRUTUS_BDEFINE dwLockType,
				 CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IStream_QueryInterface_)
#define _decl_impl_BRUTUS_IStream_QueryInterface_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_QueryInterface(impl_POA_BRUTUS_IStream *servant,
				   const CORBA_char * iid,
				   BRUTUS_IUnknown* ppvObject,
				   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IStream_Destroy_)
#define _decl_impl_BRUTUS_IStream_Destroy_ 1
static void
impl_BRUTUS_IStream_Destroy(impl_POA_BRUTUS_IStream *servant,
			    CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IStream_Read_)
#define _decl_impl_BRUTUS_IStream_Read_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Read(impl_POA_BRUTUS_IStream *servant,
			 BRUTUS_seq_octet** pv,
			 const CORBA_unsigned_long cb,
			 CORBA_unsigned_long* pcbRead,
			 CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_IStream_Write_)
#define _decl_impl_BRUTUS_IStream_Write_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Write(impl_POA_BRUTUS_IStream *servant,
			  const BRUTUS_seq_octet* pv,
			  const CORBA_unsigned_long cb,
			  CORBA_unsigned_long* pcbWritten,
			  CORBA_Environment *ev);
#endif


/*** epv structures ***/

#if !defined(_impl_BRUTUS_IStream_base_epv_)
#define _impl_BRUTUS_IStream_base_epv_ 1
static PortableServer_ServantBase__epv impl_BRUTUS_IStream_base_epv = {
	NULL,             /* _private data */
	(gpointer) & impl_BRUTUS_IStream__destroy, /* finalize routine */
	NULL,             /* default_POA routine */
};
#endif

#if !defined(_impl_BRUTUS_IStream_epv_)
#define _impl_BRUTUS_IStream_epv_ 1
static POA_BRUTUS_IStream__epv impl_BRUTUS_IStream_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_IStream_Clone,
	(gpointer)&impl_BRUTUS_IStream_Commit,
	(gpointer)&impl_BRUTUS_IStream_CopyTo,
	(gpointer)&impl_BRUTUS_IStream_LockRegion,
	(gpointer)&impl_BRUTUS_IStream_Revert,
	(gpointer)&impl_BRUTUS_IStream_Seek,
	(gpointer)&impl_BRUTUS_IStream_SetSize,
	(gpointer)&impl_BRUTUS_IStream_Stat,
	(gpointer)&impl_BRUTUS_IStream_UnlockRegion,
};
#endif

#if !defined(_impl_BRUTUS_IStream_BRUTUS_IUnknown_epv_)
#define _impl_BRUTUS_IStream_BRUTUS_IUnknown_epv_ 1
static POA_BRUTUS_IUnknown__epv impl_BRUTUS_IStream_BRUTUS_IUnknown_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_IStream_QueryInterface,
	(gpointer)&impl_BRUTUS_IStream_Destroy,
};
#endif
#if !defined(_impl_BRUTUS_IStream_BRUTUS_ISequentialStream_epv_)
#define _impl_BRUTUS_IStream_BRUTUS_ISequentialStream_epv_ 1
static POA_BRUTUS_ISequentialStream__epv impl_BRUTUS_IStream_BRUTUS_ISequentialStream_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_IStream_Read,
	(gpointer)&impl_BRUTUS_IStream_Write,
};
#endif

/*** vepv structures ***/

#if !defined(_impl_BRUTUS_IStream_vepv_)
#define _impl_BRUTUS_IStream_vepv_ 1
static POA_BRUTUS_IStream__vepv impl_BRUTUS_IStream_vepv = {
	&impl_BRUTUS_IStream_base_epv,
	&impl_BRUTUS_IStream_BRUTUS_IUnknown_epv,
	&impl_BRUTUS_IStream_BRUTUS_ISequentialStream_epv,
	&impl_BRUTUS_IStream_epv,
};
#endif


/*** Stub implementations ***/

#if !defined(_impl_BRUTUS_IStream__create_)
#define _impl_BRUTUS_IStream__create_ 1
static BRUTUS_IStream impl_BRUTUS_IStream__create(PortableServer_POA poa, CORBA_Environment *ev)
{
	BRUTUS_IStream retval;
	impl_POA_BRUTUS_IStream *newservant;
	PortableServer_ObjectId *objid;

	newservant = g_new0(impl_POA_BRUTUS_IStream, 1);
	newservant->servant.vepv = &impl_BRUTUS_IStream_vepv;
	newservant->poa = (PortableServer_POA) CORBA_Object_duplicate((CORBA_Object)poa, ev);
	POA_BRUTUS_IStream__init((PortableServer_Servant)newservant, ev);
	/* Before servant is going to be activated all
	 * private attributes must be initialized.  */

	/* ------ init private attributes here ------ */
	/* ------ ---------- end ------------- ------ */

	objid = PortableServer_POA_activate_object(poa, newservant, ev);
	CORBA_free(objid);
	retval = PortableServer_POA_servant_to_reference(poa, newservant, ev);

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IStream__destroy_)
#define _impl_BRUTUS_IStream__destroy_ 1
static void
impl_BRUTUS_IStream__destroy(impl_POA_BRUTUS_IStream *servant, CORBA_Environment *ev)
{
	CORBA_Object_release ((CORBA_Object) servant->poa, ev);

	/* No further remote method calls are delegated to 
	 * servant and you may free your private attributes. */
	/* ------ free private attributes here ------ */
	/* ------ ---------- end ------------- ------ */

	POA_BRUTUS_IStream__fini((PortableServer_Servant)servant, ev);

	g_free (servant);
}
#endif

#if !defined(_impl_BRUTUS_IStream_Clone_)
#define _impl_BRUTUS_IStream_Clone_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Clone(impl_POA_BRUTUS_IStream *servant,
			  BRUTUS_IStream* ppstm,
			  CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IStream_Commit_)
#define _impl_BRUTUS_IStream_Commit_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Commit(impl_POA_BRUTUS_IStream *servant,
			   const BRUTUS_BDEFINE grfCommitFlags,
			   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IStream_CopyTo_)
#define _impl_BRUTUS_IStream_CopyTo_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_CopyTo(impl_POA_BRUTUS_IStream *servant,
			   const BRUTUS_IStream pstm,
			   const CORBA_unsigned_long_long cb,
			   CORBA_unsigned_long_long* pcbRead,
			   CORBA_unsigned_long_long* pcbWritten,
			   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IStream_LockRegion_)
#define _impl_BRUTUS_IStream_LockRegion_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_LockRegion(impl_POA_BRUTUS_IStream *servant,
			       const CORBA_unsigned_long_long libOffset,
			       const CORBA_unsigned_long_long cb,
			       const BRUTUS_BDEFINE dwLockType,
			       CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IStream_Revert_)
#define _impl_BRUTUS_IStream_Revert_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Revert(impl_POA_BRUTUS_IStream *servant,
			   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IStream_Seek_)
#define _impl_BRUTUS_IStream_Seek_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Seek(impl_POA_BRUTUS_IStream *servant,
			 const CORBA_long_long dlibMove,
			 const BRUTUS_STREAM_SEEK dwOrigin,
			 CORBA_unsigned_long_long* plibNewPosition,
			 CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IStream_SetSize_)
#define _impl_BRUTUS_IStream_SetSize_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_SetSize(impl_POA_BRUTUS_IStream *servant,
			    const CORBA_unsigned_long_long libNewSize,
			    CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IStream_Stat_)
#define _impl_BRUTUS_IStream_Stat_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Stat(impl_POA_BRUTUS_IStream *servant,
			 BRUTUS_STATSTG** pstatstg,
			 const BRUTUS_STATFLAG grfStatFlag,
			 CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IStream_UnlockRegion_)
#define _impl_BRUTUS_IStream_UnlockRegion_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_UnlockRegion(impl_POA_BRUTUS_IStream *servant,
				 const CORBA_unsigned_long_long libOffset,
				 const CORBA_unsigned_long_long cb,
				 const BRUTUS_BDEFINE dwLockType,
				 CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IStream_QueryInterface_)
#define _impl_BRUTUS_IStream_QueryInterface_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_QueryInterface(impl_POA_BRUTUS_IStream *servant,
				   const CORBA_char * iid,
				   BRUTUS_IUnknown* ppvObject,
				   CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IStream_Destroy_)
#define _impl_BRUTUS_IStream_Destroy_ 1
static void
impl_BRUTUS_IStream_Destroy(impl_POA_BRUTUS_IStream *servant,
			    CORBA_Environment *ev)
{
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */
}
#endif

#if !defined(_impl_BRUTUS_IStream_Read_)
#define _impl_BRUTUS_IStream_Read_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Read(impl_POA_BRUTUS_IStream *servant,
			 BRUTUS_seq_octet** pv,
			 const CORBA_unsigned_long cb,
			 CORBA_unsigned_long* pcbRead,
			 CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_IStream_Write_)
#define _impl_BRUTUS_IStream_Write_ 1
static BRUTUS_BRESULT
impl_BRUTUS_IStream_Write(impl_POA_BRUTUS_IStream *servant,
			  const BRUTUS_seq_octet* pv,
			  const CORBA_unsigned_long cb,
			  CORBA_unsigned_long* pcbWritten,
			  CORBA_Environment *ev)
{
	BRUTUS_BRESULT retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

