/*
 *    Servant implementation file for a Brutus proxy daemon.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *    MA 02111-1307 USA
 */

/* This is a template file generated by command */
/* orbit-idl-2 --skeleton-impl log_server.idl */
/* User must edit this file, inserting servant  */
/* specific code between markers. */

#include "log_server.h"

/*** App-specific servant structures ***/

#if !defined(_typedef_impl_POA_BRUTUS_LogServer_)
#define _typedef_impl_POA_BRUTUS_LogServer_ 1
typedef struct {
	POA_BRUTUS_LogServer servant;
	PortableServer_POA poa;
	/* ------ add private attributes here ------ */
	/* ------ ---------- end ------------ ------ */
} impl_POA_BRUTUS_LogServer;
#endif


/*** Implementation stub prototypes ***/

#if !defined(_decl_impl_BRUTUS_LogServer__destroy_)
#define _decl_impl_BRUTUS_LogServer__destroy_ 1
static void impl_BRUTUS_LogServer__destroy(impl_POA_BRUTUS_LogServer *servant,
					   CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_LogServer_log_)
#define _decl_impl_BRUTUS_LogServer_log_ 1
static void
impl_BRUTUS_LogServer_log(impl_POA_BRUTUS_LogServer *servant,
			  const BRUTUS_LogServer_LogEntry* Entry,
			  CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_LogServer_log_leader_)
#define _decl_impl_BRUTUS_LogServer_log_leader_ 1
static CORBA_unsigned_long
impl_BRUTUS_LogServer_log_leader(impl_POA_BRUTUS_LogServer *servant,
				 const BRUTUS_LogServer_LogEntry* Entry,
				 CORBA_Environment *ev);
#endif

#if !defined(_decl_impl_BRUTUS_LogServer_log_follower_)
#define _decl_impl_BRUTUS_LogServer_log_follower_ 1
static void
impl_BRUTUS_LogServer_log_follower(impl_POA_BRUTUS_LogServer *servant,
				   const CORBA_unsigned_long leader,
				   const BRUTUS_LogServer_LogEntry* Entry,
				   CORBA_Environment *ev);
#endif


/*** epv structures ***/

#if !defined(_impl_BRUTUS_LogServer_base_epv_)
#define _impl_BRUTUS_LogServer_base_epv_ 1
static PortableServer_ServantBase__epv impl_BRUTUS_LogServer_base_epv = {
	NULL,             /* _private data */
	(gpointer) & impl_BRUTUS_LogServer__destroy, /* finalize routine */
	NULL,             /* default_POA routine */
};
#endif

#if !defined(_impl_BRUTUS_LogServer_epv_)
#define _impl_BRUTUS_LogServer_epv_ 1
static POA_BRUTUS_LogServer__epv impl_BRUTUS_LogServer_epv = {
	NULL, /* _private */
	(gpointer)&impl_BRUTUS_LogServer_log,
	(gpointer)&impl_BRUTUS_LogServer_log_leader,
	(gpointer)&impl_BRUTUS_LogServer_log_follower,
};
#endif


/*** vepv structures ***/

#if !defined(_impl_BRUTUS_LogServer_vepv_)
#define _impl_BRUTUS_LogServer_vepv_ 1
static POA_BRUTUS_LogServer__vepv impl_BRUTUS_LogServer_vepv = {
	&impl_BRUTUS_LogServer_base_epv,
	&impl_BRUTUS_LogServer_epv,
};
#endif


/*** Stub implementations ***/

#if !defined(_impl_BRUTUS_LogServer__create_)
#define _impl_BRUTUS_LogServer__create_ 1
static BRUTUS_LogServer impl_BRUTUS_LogServer__create(PortableServer_POA poa, CORBA_Environment *ev)
{
	BRUTUS_LogServer retval;
	impl_POA_BRUTUS_LogServer *newservant;
	PortableServer_ObjectId *objid;

	newservant = g_new0(impl_POA_BRUTUS_LogServer, 1);
	newservant->servant.vepv = &impl_BRUTUS_LogServer_vepv;
	newservant->poa = (PortableServer_POA) CORBA_Object_duplicate((CORBA_Object)poa, ev);
	POA_BRUTUS_LogServer__init((PortableServer_Servant)newservant, ev);
	/* Before servant is going to be activated all
	 * private attributes must be initialized.  */

	/* ------ init private attributes here ------ */
	/* ------ ---------- end ------------- ------ */

	objid = PortableServer_POA_activate_object(poa, newservant, ev);
	CORBA_free(objid);
	retval = PortableServer_POA_servant_to_reference(poa, newservant, ev);

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_LogServer__destroy_)
#define _impl_BRUTUS_LogServer__destroy_ 1
static void
impl_BRUTUS_LogServer__destroy(impl_POA_BRUTUS_LogServer *servant, CORBA_Environment *ev)
{
	CORBA_Object_release ((CORBA_Object) servant->poa, ev);

	/* No further remote method calls are delegated to 
	 * servant and you may free your private attributes. */
	/* ------ free private attributes here ------ */
	/* ------ ---------- end ------------- ------ */

	POA_BRUTUS_LogServer__fini((PortableServer_Servant)servant, ev);

	g_free (servant);
}
#endif

#if !defined(_impl_BRUTUS_LogServer_log_)
#define _impl_BRUTUS_LogServer_log_ 1
static void
impl_BRUTUS_LogServer_log(impl_POA_BRUTUS_LogServer *servant,
			  const BRUTUS_LogServer_LogEntry* Entry,
			  CORBA_Environment *ev)
{
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */
}
#endif

#if !defined(_impl_BRUTUS_LogServer_log_leader_)
#define _impl_BRUTUS_LogServer_log_leader_ 1
static CORBA_unsigned_long
impl_BRUTUS_LogServer_log_leader(impl_POA_BRUTUS_LogServer *servant,
				 const BRUTUS_LogServer_LogEntry* Entry,
				 CORBA_Environment *ev)
{
	CORBA_unsigned_long retval;
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */

	return retval;
}
#endif

#if !defined(_impl_BRUTUS_LogServer_log_follower_)
#define _impl_BRUTUS_LogServer_log_follower_ 1
static void
impl_BRUTUS_LogServer_log_follower(impl_POA_BRUTUS_LogServer *servant,
				   const CORBA_unsigned_long leader,
				   const BRUTUS_LogServer_LogEntry* Entry,
				   CORBA_Environment *ev)
{
	/* ------   insert method code here   ------ */
	/* ------ ---------- end ------------ ------ */
}
#endif

