/*
 *    Brutus header file defining an ORBInitializer.
 *    Copyright (C) 2005 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef _ORB_INITIALIZER_H_
#define _ORB_INITIALIZER_H_

#include <ace/pre.h>

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

#include <TAO/PI/PI.h>
#include <TAO/tao/LocalObject.h>
#include <TAO/tao/PortableInterceptorC.h>
#include <NT_Service/server_request_interceptor.h>

// This is to remove "inherits via dominance" warnings from MSVC.
// MSVC is being a little too paranoid.
#if defined(_MSC_VER)
#if (_MSC_VER >= 1200)
#pragma warning(push)
#endif /* _MSC_VER >= 1200 */
#pragma warning(disable:4250)
#endif /* _MSC_VER */


class ORBInitializer : public virtual PortableInterceptor::ORBInitializer,
		       public virtual TAO_Local_RefCounted_Object
{
public:
	ORBInitializer(bool forward,
                CORBA::ORB_ptr ORB);

	virtual void pre_init(PortableInterceptor::ORBInitInfo_ptr info
			      ACE_ENV_ARG_DECL_WITH_DEFAULTS)
		ACE_THROW_SPEC((CORBA::SystemException));

	virtual void post_init(PortableInterceptor::ORBInitInfo_ptr info
			       ACE_ENV_ARG_DECL_WITH_DEFAULTS)
		ACE_THROW_SPEC((CORBA::SystemException));

	ServerRequestInterceptor *interceptor(void) const;

private:
	ORBInitializer(void)
		{
		};

	bool forward_;
	CORBA::ORB_var orb_;
	ServerRequestInterceptor *interceptor_;
};


#if defined(_MSC_VER) && (_MSC_VER >= 1200)
#pragma warning(pop)
#endif /* _MSC_VER */

#include <ace/post.h>

#endif // _ORB_INITIALIZER_H_

/*
 * Local variables:
 * mode: C++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: nil
 * End:
 */
